package com.pj;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.hutool.core.util.StrUtil;
import cn.hutool.core.util.XmlUtil;
import com.pj.current.satoken.StpUserUtil;
import com.pj.project.tb_person_visit_record.TbPersonVisitRecord;
import com.pj.project.tb_person_visit_record.TbPersonVisitRecordService;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

@RequestMapping("health-status")
@RestController
public class HealthStatusController {
    /**
     * 底层 Service 对象
     */
    @Autowired
    TbPersonVisitRecordService tbPersonVisitRecordService;

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    @RequestMapping("getList")
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();

        List<TbPersonVisitRecord> list = tbPersonVisitRecordService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }
    @RequestMapping("solve")
    @SaCheckPermission(TbPersonVisitRecord.PERMISSION_CODE_UN_HEALTH_SOLVE)
    public AjaxJson solve() {
        SoMap soMap = SoMap.getRequestSoMap();
        tbPersonVisitRecordService.solve(soMap);
        return AjaxJson.getSuccess();
    }
}
