package com.pj;


import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.project.tb_venues.TbVenues;
import com.pj.project.tb_venues.TbVenuesService;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("tactics")
public class TacticsController {

    @Resource
    private TbVenuesService tbVenuesService;

    /**
     * 防疫策略设置
     * @return
     */
    @RequestMapping("setting")
    @SaCheckPermission(TbVenues.TB_TACTICS_SETTING)
    public AjaxJson setting() {
        SoMap soMap = SoMap.getRequestSoMap();
        tbVenuesService.setting(soMap.getLong("id"), soMap.getInt("status"));
        return AjaxJson.getSuccess();
    }
}
