package com.pj.current.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "wx")
@Data
public class WxConfig {

    private boolean enable;
    private String appId;
    private String appSecret;
    private String domain;
    private String authLoginUrl;
    private String openidUrl;
    private String accessTokenKey;
    private String jsApiTicketKey;
    private String  accessTokenUrl;
    private String jsApiTokenUrl;
    private String sendMsgUrl;
    /**
     * 体温异常提醒
     *模板ID
     * WtTlUMCtJp6dSPXLJg_RdsmX4811aDkEkHuX0Txfgfg
     * 开发者调用模板消息接口时需提供模板ID
     * 标题
     * 体温异常提醒
     * 行业
     * IT科技 - IT软件与服务
     * 详细内容
     * {{first.DATA}}
     * 姓名：{{keyword1.DATA}}
     * 体温：{{keyword2.DATA}}
     * 日期：{{keyword3.DATA}}
     * {{remark.DATA}}
     *
     */
    private String temperatureErrorTemplate;
    /**
     * 模板ID
     * IEzVk2HCvctwXZzaGaElWQpRskolYlZSahTZXbJhuVM
     * 开发者调用模板消息接口时需提供模板ID
     * 标题
     * 人员健康码异常通知
     * 行业
     * IT科技 - IT软件与服务
     * 详细内容
     * {{first.DATA}}
     * 姓名：{{keyword1.DATA}}
     * 时间：{{keyword2.DATA}}
     * 设备：{{keyword3.DATA}}
     * 异常原因：{{keyword4.DATA}}
     * 地点：{{keyword5.DATA}}
     * {{remark.DATA}}
     */
    private String healthStatusTemplate;
    private String reportDetail;
    /**
     * {{first.DATA}}
     * 审核结果：{{keyword1.DATA}}
     * 申请人：{{keyword2.DATA}}
     * 项目名称：{{keyword3.DATA}}
     * {{remark.DATA}}
     */
    private String judgeResultTemplate;
}
