package com.pj.current.netty.command.handler.impl;

import cn.hutool.cache.CacheUtil;
import cn.hutool.cache.impl.TimedCache;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.img.ImgUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.drew.imaging.ImageMetadataReader;
import com.pj.current.config.MyConfig;
import com.pj.current.config.WxConfig;
import com.pj.current.netty.command.constants.CommandType;
import com.pj.current.netty.command.handler.IHandler;
import com.pj.current.netty.command.handler.dto.ChecklogDTO;
import com.pj.current.netty.command.handler.dto.HealthlogDTO;
import com.pj.current.netty.dto.OKMsg;
import com.pj.current.netty.dto.RequestPackageDTO;
import com.pj.current.task.TaskService;
import com.pj.project.tb_car_visit_record.TbCarVisitRecord;
import com.pj.project.tb_car_visit_record.TbCarVisitRecordService;
import com.pj.project.tb_dept.TbDept;
import com.pj.project.tb_dept.TbDeptService;
import com.pj.project.tb_gate_terminal.TbGateTerminal;
import com.pj.project.tb_gate_terminal.TbGateTerminalService;
import com.pj.project.tb_gate_terminal.bo.ResultDTO;
import com.pj.project.tb_manager.TbManager;
import com.pj.project.tb_manager.TbManagerService;
import com.pj.project.tb_mini_user.TbMiniUser;
import com.pj.project.tb_mini_user.TbMiniUserService;
import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import com.pj.project.tb_person_filing.task.Base64ToImage;
import com.pj.project.tb_person_filing.task.DelayIsuued;
import com.pj.project.tb_person_visit_record.TbPersonVisitRecord;
import com.pj.project.tb_person_visit_record.TbPersonVisitRecordService;
import com.pj.project.tb_person_visit_record.task.ConvertBase64ToImage;
import com.pj.project.tb_terminal.TbTerminal;
import com.pj.project.tb_terminal.TbTerminalService;
import com.pj.project.tb_venues.TbVenues;
import com.pj.project.tb_venues.TbVenuesService;
import com.pj.project.wx.WxService;
import com.pj.project.wx.bo.MsgDataBO;
import com.pj.project4sp.sms.DuanXinBaoSMSService;
import com.pj.project4sp.spcfg.SpCfgUtil;
import com.pj.utils.cache.RedisUtil;
import com.sun.javafx.iio.ImageMetadata;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 健康核查记录上传
 */
@Service
@Slf4j
public class HealthlogHandler implements IHandler {


    @Override
    public CommandType commandType() {
        return CommandType.UPLOAD_HEALTH_LOG;
    }



    @Override
    public void handler(ChannelHandlerContext ctx, RequestPackageDTO packageDTO) {
        log.info("========健康核查记录上传===========:{}", JSONUtil.toJsonStr(packageDTO));


    }

}
