package com.pj.project.hc_camera;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.utils.so.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: hc_camera --
 *
 * @author qzyReal
 */
@RestController
@RequestMapping("/HcCamera/")
public class HcCameraController {

    /**
     * 底层 Service 对象
     */
    @Autowired
    HcCameraService hcCameraService;

    /**
     * 增
     */
    @RequestMapping("add")
    @SaCheckPermission(HcCamera.PERMISSION_CODE_ADD)
    public AjaxJson add(HcCamera h) {
        hcCameraService.add(h);
        return AjaxJson.getSuccessData(h);
    }

    /**
     * 删
     */
    @RequestMapping("delete")
    @SaCheckPermission(HcCamera.PERMISSION_CODE_DEL)
    public AjaxJson delete(Long id) {
        hcCameraService.delete(id);
        return AjaxJson.getSuccess();
    }

    /**
     * 删 - 根据id列表
     */
    @RequestMapping("open")
    @SaCheckPermission(HcCamera.PERMISSION_CODE_DEL)
    public AjaxJson open(HcCamera h) {
         hcCameraService.open(h);
        return AjaxJson.getSuccess();
    }

    /**
     * 改
     */
    @RequestMapping("update")
    @SaCheckPermission(HcCamera.PERMISSION_CODE_EDIT)
    public AjaxJson update(HcCamera h) {
        hcCameraService.update(h);
        return AjaxJson.getSuccess();
    }

    /**
     * 查 - 根据id
     */
    @RequestMapping("getById")
    public AjaxJson getById(Long id) {
        HcCamera h = hcCameraService.getById(id);
        return AjaxJson.getSuccessData(h);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    @RequestMapping("getList")
    @SaCheckPermission(HcCamera.PERMISSION_CODE_LIST)
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();
        List<HcCamera> list = hcCameraService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }


}
