package com.pj.project.hc_camera;

import java.util.List;

import cn.hutool.core.net.Ipv4Util;
import cn.hutool.log.StaticLog;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.project.hksdk.HCNetSDK;
import com.pj.project.hksdk.HkUtils;
import com.pj.utils.sg.AjaxError;
import com.pj.utils.sg.IpUtil;
import com.sun.jna.Memory;
import com.sun.jna.Pointer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

import javax.annotation.Resource;

/**
 * Service: hc_camera --
 *
 * @author qzyReal
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HcCameraService extends ServiceImpl<HcCameraMapper, HcCamera> implements IService<HcCamera> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    HcCameraMapper hcCameraMapper;
    @Resource
    private HCNetSDK hcNetSDK;
    @Resource
    private HkUtils hkUtils;


    /**
     * 增
     */
    void add(HcCamera h) {
        int userId = hkUtils.Login_V40(h.getIp(), h.getPort(), h.getUname(), h.getPwd(), hcNetSDK);
        if (userId == -1) {
            //throw new AjaxError("输入信息有误");
        }
        h.setStatus(HcCamera.StatusEnum.ONLINE.getStatus()).setUserId(userId);
        this.save(h);
    }

    /**
     * 删
     */
    void delete(Long id) {
        this.removeById(id);
    }

    /**
     * 改
     */
    void update(HcCamera h) {
        this.updateById(h);
    }

    /**
     * 查
     */
    HcCamera getById(Long id) {
        return super.getById(id);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    List<HcCamera> getList(SoMap so) {
        return hcCameraMapper.getList(so);
    }


    public void open(HcCamera h) {
        hkUtils.handlerUp(hcNetSDK, h.getUserId());
    }

    public HcCamera findByUserId(int userId) {
        QueryWrapper<HcCamera> ew = new QueryWrapper<>();
        ew.lambda().eq(HcCamera::getUserId, userId);
        List<HcCamera> list = list(ew);
        return list.isEmpty() ? null : list.get(0);
    }
}
