package com.pj.project.hc_camera.task;

import com.pj.project.hc_camera.HcCamera;
import com.pj.project.hc_camera.HcCameraService;
import com.pj.project.hksdk.HCNetSDK;
import com.sun.jna.Library;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Component
@Slf4j
public class StatusCheckTask {
    @Resource
    private HcCameraService hcCameraService;
    @Resource
    private HCNetSDK hcNetSDK;

    @Scheduled(fixedDelay = 20000)
    @Async
    public void check() {
        List<HcCamera> list = hcCameraService.list();
        list.parallelStream().forEach(hcCamera -> {
            boolean devStatus = hcNetSDK.NET_DVR_RemoteControl(hcCamera.getUserId(), HCNetSDK.NET_DVR_CHECK_USER_STATUS, null, 0);
           log.info("status:{}",devStatus);
            hcCamera.setStatus(devStatus ? 1 : 0);
            hcCameraService.updateById(hcCamera);
        });
    }

}
