package com.pj.project.hksdk;

import com.pj.project.hc_camera.HcCamera;
import com.pj.project.hc_camera.HcCameraService;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Data
@Slf4j
@Order(99)
@Component
public class StartUpInit implements CommandLineRunner {
    @Resource
    private HcCameraService hcCameraService;
    @Resource
    private HkUtils hkUtils;
    @Resource
    private HCNetSDK hcNetSDK;

    @Override
    public void run(String... args)   {
        List<HcCamera> list = hcCameraService.list();
        list.parallelStream().forEach(hcCamera -> {
            int userId = hkUtils.Login_V40(hcCamera.getIp(), hcCamera.getPort(), hcCamera.getUname(), hcCamera.getPwd(), hcNetSDK);
            if (userId!=-1){
                log.info("登录海康设备:{},{}",hcCamera.getIp(),userId);
                hcCamera.setUserId(userId);
                hcCameraService.updateById(hcCamera);
                hkUtils.SetAlarm(hcNetSDK,userId);
            }else {
                log.info("登录海康设备失败:{},{}",hcNetSDK.NET_DVR_GetLastError(),userId);
            }
        });
    }
}
