package com.pj.project.tb_car_visit_record;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_car_visit_record -- 车辆出入记录
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbCarVisitRecord.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCarVisitRecord extends Model<TbCarVisitRecord> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_car_visit_record";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-car-visit-record";	
	public static final String PERMISSION_CODE_ADD = "tb-car-visit-record-add";
	public static final String PERMISSION_CODE_EDIT = "tb-car-visit-record-edit";
	public static final String PERMISSION_CODE_DEL = "tb-car-visit-record-del";
	public static final String PERMISSION_CODE_EXPORT = "tb-car-visit-record-export";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	@ExcelIgnore
	private Long id;
	@ExcelIgnore
	private String departmentId;
	@ExcelIgnore
	private Long venuesId;
	/**
	 * 通道 
	 */
	@ExcelIgnore
	private Long channelId;
	@ExcelIgnore
	private Long deptId;

	@ExcelProperty(index = 1,value = "备案组织")
	private String deptName;
	@ExcelProperty(index = 2,value = "通道")
	private String channel;

	/**
	 * 车牌 
	 */
	@ExcelProperty(index = 0,value = "车牌号")
	private String carNo;	

	/**
	 * 通过时间 
	 */
	@ExcelProperty(index = 3,value = "通行时间")
	private Date visitTime;

	/**
	 * 方向(1=入,2=出) 
	 */
	@ExcelIgnore
	private Integer direction;	

	/**
	 * 图片 
	 */
	@ExcelIgnore
	private String image;	

	/**
	 * 类型(1=临时,2=内部) 
	 */
	@ExcelIgnore
	private Integer type=1;

	/**
	 * 联系人 
	 */
	@ExcelProperty(index = 4,value = "联系人")
	private String driverName;	

	/**
	 * 联系电话 
	 */
	@ExcelProperty(index = 5,value = "联系电话")
	private String driverContact;	

	/**
	 * 联系人身份证 
	 */
	@ExcelIgnore
	private String driverIdCard;
	@ExcelProperty(index = 6,value = "禁行原因")
	private String reason;

	/**
	 * 方式(1=手动,2=自动) 
	 */
	@ExcelIgnore
	private Integer recordType=1;
	@TableField(fill = FieldFill.INSERT)
	@ExcelIgnore
	private Date createTime;
	@TableField(fill = FieldFill.UPDATE)
	@ExcelIgnore
	private Date updateTime;
	/**
	 * 是否允许通行
	 */
	@ExcelIgnore
	private Integer allowPass=1;

	@TableField(exist = false)
	@ExcelProperty(index = 7,value = "分类")
	private String typeStr;
	@TableField(exist = false)
	@ExcelProperty(index = 8,value = "方向")
	private String directionStr;

	@TableField(exist = false)
	@ExcelProperty(index = 9,value = "场所")
	private String venuesName;

	@TableField(exist = false)
	@ExcelIgnore
	private transient String startTime;
	@TableField(exist = false)
	@ExcelIgnore
	private transient String endTime;



	@TableField(exist = false)
	@ExcelProperty(index = 10,value = "是否通行")
	private  String allowPassStr;

	public String getAllowPassStr() {
		return allowPass==1?"允许通行":"禁止通行";
	}
	public String getTypeStr() {
		return recordType == 1 ? "补录" : "设备上传";
	}

	public String getDirectionStr() {
		return direction == 1 ? "入场" : "离场";
	}


}
