package com.pj.project.tb_department;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_customer -- 部门管理
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbDepartment.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbDepartment extends Model<TbDepartment> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_department";
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-tb-department";
	public static final String PERMISSION_CODE_ADD = "tb-department-add";
	public static final String PERMISSION_CODE_EDIT = "tb-department-edit";
	public static final String PERMISSION_CODE_DEL = "tb-department-del";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private String id;	

	/**
	 * 名称 
	 */
	private String name;	



	/**
	 * 状态(0=否,1=是) 
	 */
	private Integer status;

	/**
	 * 创建时间 
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

	/**
	 * 更新时间 
	 */
	@TableField(fill = FieldFill.UPDATE)
	private Date updateTime;

	/**
	 *  
	 */
	@TableField(fill = FieldFill.INSERT)
	private String createBy;	

	/**
	 *  
	 */
	@TableField(fill = FieldFill.UPDATE)
	private String updateBy;	





	


}
