package com.pj.project.tb_department;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.project.sp_admin.SpAdminMapper;
import com.pj.project.tb_init_permission.TbInitPermission;
import com.pj.project.tb_init_permission.TbInitPermissionService;
import com.pj.project4sp.SP;
import com.pj.utils.sg.AjaxError;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

import javax.annotation.Resource;

/**
 * Service: tb_customer -- 客户管理
 *
 * @author qzyReal
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbDepartmentService extends ServiceImpl<TbDepartmentMapper, TbDepartment> implements IService<TbDepartment> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbDepartmentMapper tbCustomerMapper;


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    List<TbDepartment> getList(SoMap so) {
        return tbCustomerMapper.getList(so);
    }


    public void delete(String id) {
        TbDepartment tbDepartment = this.getById(id);
        if (tbDepartment.getStatus() == 1) {
            throw new AjaxError("已被锁定，不可删除");
        }
        this.removeById(id);
    }

    /**
     * 新增企业
     *
     * @param t
     */
    public void add(TbDepartment t) {
        this.save(t);

    }
}
