package com.pj.project.tb_dept;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * Model: tb_dept -- 组织管理
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbDept.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbDept extends Model<TbDept> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_dept";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-dept";	
	public static final String PERMISSION_CODE_ADD = "tb-dept-add";
	public static final String PERMISSION_CODE_DEL = "tb-dept-del";
	public static final String PERMISSION_CODE_EDIT = "tb-dept-edit";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;
	/**
	 * 归属场所
	 */
	private Long venuesId;
	/**
	 * 审核部门
	 */
	private String departmentId;


	/**
	 * 名称 
	 */
	private String name;

	/**
	 * 备注 
	 */
	private String remark;
	/**
	 * 放行条件(1=人车合一,2=人车满足其一)
	 */
	private Integer passType=1;

	/**
	 * 是否自动审核
	 */
	private Integer needJudge=1;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

	/**
	 * 更新时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Date updateTime;

	/**
	 *
	 */
	@TableField(fill = FieldFill.INSERT)
	private String createBy;

	/**
	 *
	 */
	@TableField(fill = FieldFill.UPDATE)
	private String updateBy;


	@TableField(exist = false)
	private String venuesName;

	@TableField(exist = false)
	private String departmentName;


	@Getter
	@AllArgsConstructor
	public static enum PassTypeEnum{
		BLOW(1,"人车均备案"),
		ONE(2,"符合其一"),
		;
		private Integer type;
		private String desc;
	}

	@Getter
	@AllArgsConstructor
	public static enum NeedJudgeEnum{
		AUTO_JUDGE(0,"自动审核"),
		MAN_JUDGE(1,"人工审核"),
		;
		private Integer type;
		private String desc;
	}

	


}
