package com.pj.project.tb_dept;

import java.util.Date;
import java.util.List;

import cn.dev33.satoken.stp.StpUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.current.global.BusinessException;
import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import com.pj.project.tb_terminal.TbTerminal;
import com.pj.project.tb_terminal.TbTerminalService;
import com.pj.utils.sg.AjaxError;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

import javax.annotation.Resource;

/**
 * Service: tb_dept -- 组织管理
 *
 * @author qzyReal
 */
@Service
public class TbDeptService extends ServiceImpl<TbDeptMapper, TbDept> implements IService<TbDept> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbDeptMapper tbDeptMapper;
    @Resource
    private TbPersonFilingService tbPersonFilingService;


    /**
     * 增
     */
    void add(TbDept t) {
        this.save(t);
    }

    /**
     * 删
     */
    void delete(Long id) {
        this.removeById(id);
    }

    /**
     * 改
     */
    void update(TbDept t) {
        this.updateById(t);
    }

    /**
     * 查
     */
    TbDept getById(Long id) {
        return super.getById(id);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    List<TbDept> getList(SoMap so) {
        return tbDeptMapper.getList(so);
    }

    /**
     * 根据场所ID查找
     * @param venuesId
     * @return
     */
    public List<TbDept>findByVenuesId(Long venuesId){
        QueryWrapper<TbDept>ew=new QueryWrapper<>();
        ew.lambda().eq(TbDept::getVenuesId,venuesId);
        return list(ew);
    }


    /**
     * 根据名称查找
     * @param deptName
     * @return
     */
    public TbDept findByName(String deptName) {
        QueryWrapper<TbDept> ew = new QueryWrapper<>();
        ew.lambda().eq(TbDept::getName, deptName);
        List<TbDept> list = list(ew);
        return list.isEmpty() ? null : list.get(0);
    }

    public List<TbDept> findByDepartmentId(String departmentId) {
        QueryWrapper<TbDept> ew = new QueryWrapper<>();
        ew.lambda().eq(TbDept::getDepartmentId, departmentId);
        return list(ew);
    }
}
