package com.pj.project.tb_gate_command_log;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

/**
 * Service: tb_gate_command_log -- 车辆道闸命令日志
 *
 * @author qzyReal
 */
@Service
public class TbGateCommandLogService extends ServiceImpl<TbGateCommandLogMapper, TbGateCommandLog> implements IService<TbGateCommandLog> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbGateCommandLogMapper tbGateCommandLogMapper;


    /**
     * 增
     */
    public void add(TbGateCommandLog t) {
        this.save(t);
    }

    /**
     * 删
     */
    public void delete(Long id) {
        this.removeById(id);
    }

    /**
     * 改
     */
    public void update(TbGateCommandLog t) {
        this.updateById(t);
    }

    /**
     * 查
     */
    public TbGateCommandLog getById(Long id) {
        return super.getById(id);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    public List<TbGateCommandLog> getList(SoMap so) {
        return tbGateCommandLogMapper.getList(so);
    }


}
