package com.pj.project.tb_gate_terminal;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_gate_terminal -- 车辆道闸
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbGateTerminal.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbGateTerminal extends Model<TbGateTerminal> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_gate_terminal";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-gate-terminal";	
	public static final String PERMISSION_CODE_ADD = "tb-gate-terminal-add";
	public static final String PERMISSION_CODE_EDIT = "tb-gate-terminal-edit";
	public static final String PERMISSION_CODE_DEL = "tb-gate-terminal-del";
	public static final String PERMISSION_CODE_OPEN = "tb-gate-terminal-open";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 名称 
	 */
	private String name;
	private String departmentId;

	/**
	 * 场地id
	 */
	private Long venuesId;
	/**
	 * 通道
	 */
	private Long channelId;
	/**
	 * 进出 1 进，2出
	 */
	private Integer direction;

	/**
	 * 序列号 
	 */
	private String sn;	

	/**
	 * IP地址 
	 */
	private String ip;	

	/**
	 * 状态 
	 */
	private String state;	

	/**
	 * 创建时间 
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;
	/**
	 * 创建人
	 */
	@TableField(fill = FieldFill.INSERT)
	private String createBy;
	@TableField(fill = FieldFill.UPDATE)
	private String updateBy;

	/**
	 * 更新时间 
	 */
	@TableField(fill = FieldFill.UPDATE)
	private Date updateTime;

	private Date lastOnlineTime;

	@TableField(exist = false)
	private String channelName;

	@TableField(exist = false)
	private String departmentName;

	@TableField(exist = false)
	private String venuesName;



	


}
