package com.pj.project.tb_gate_terminal.task;

import cn.hutool.core.codec.Base64;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.spring.SpringUtil;
import com.pj.current.config.SystemObject;
import com.pj.current.task.Task;
import com.pj.project.tb_car_visit_record.TbCarVisitRecord;
import com.pj.project.tb_car_visit_record.TbCarVisitRecordService;
import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import com.pj.project4sp.uploadfile.UploadConfig;
import lombok.extern.slf4j.Slf4j;

import java.io.File;

@Slf4j
public class GateTerminalBase64ToImage extends Task {
    private Long recordId;
    private String base64;
    public GateTerminalBase64ToImage(String id, long delayInMilliseconds,Long recordId,String base64) {
        super(id, delayInMilliseconds);
        this.recordId=recordId;
        this.base64=base64;
    }

    @Override
    public void run() {
        if (StrUtil.isEmpty(base64)||recordId==null) {
            log.info("无图片信息,{}", recordId);
            return;
        }
        UploadConfig uploadConfig = SpringUtil.getBean(UploadConfig.class);
        TbCarVisitRecordService tbCarVisitRecordService = SpringUtil.getBean(TbCarVisitRecordService.class);
        TbCarVisitRecord tbCarVisitRecord = tbCarVisitRecordService.getById(recordId);
        String flieTypeFolder = "/image/";
        String currDateFolder = DateUtil.today();
        String fileName = RandomUtil.randomString(16) + ".jpg";
        String imgFilePath = new File(uploadConfig.rootFolder).getAbsolutePath() +
                uploadConfig.httpPrefix + flieTypeFolder + currDateFolder + "/";
        if (!FileUtil.exist(imgFilePath)) {
            FileUtil.mkdir(imgFilePath);
        }
        // 对外暴露的http路径
        String httpUrl = SystemObject.config.getDomain() + uploadConfig.httpPrefix + flieTypeFolder + currDateFolder + "/" + fileName;
        // ImageUtils.generateImage(base64, imgFilePath + fileName);
        Base64.decodeToFile(base64,new File(imgFilePath + fileName));
        tbCarVisitRecord.setImage(httpUrl);
        tbCarVisitRecordService.updateById(tbCarVisitRecord);
    }
}
