package com.pj.project.tb_person_black.task;

import com.pj.project.tb_person_black.TbPersonBlack;
import com.pj.project.tb_person_black.TbPersonBlackService;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

@Data
@Accessors(chain = true)
@Component
public class PersonBlackTask implements Serializable {

    @Resource
    private TbPersonBlackService tbPersonBlackService;

    @Scheduled(cron = "10 * * * * ?")
    public void task() {
        //提前1分钟下发黑名单
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm");
        LocalDateTime now=LocalDateTime.now();
        LocalDateTime oneMinutesAfter =now.plusMinutes(1);
        LocalDateTime oneMinutesBefore =now.minusMinutes(1);
        List<TbPersonBlack> personBlacks = tbPersonBlackService.findStartTimeEqTime(oneMinutesAfter.format(formatter));
        personBlacks.forEach(tbPersonBlack -> {
            tbPersonBlackService.issued(tbPersonBlack);
        });
        //1分钟之后删除
        List<TbPersonBlack> deleteList = tbPersonBlackService.findEndTimeEqTime(oneMinutesBefore.format(formatter));
        deleteList.forEach(tbPersonBlack -> tbPersonBlackService.deleteTerminalBlack(tbPersonBlack));
    }
}
