package com.pj.project.tb_person_filing.task;

import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import com.pj.project.tb_terminal.TbTerminal;
import com.pj.project.tb_terminal.TbTerminalService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Component
@Slf4j
public class CheckExpireFiling {

    @Resource
    private TbPersonFilingService tbPersonFilingService;
    @Resource
    private TbTerminalService tbTerminalService;

    @Scheduled(cron = "0 0 3 * * ?")
    public void check() {
        List<TbPersonFiling> list = tbPersonFilingService.findExpire();
        list.parallelStream().forEach(tbPersonFiling -> {
            tbPersonFilingService.deleteTerminalWhilte(tbPersonFiling.getPin(),false);
            tbPersonFilingService.removeById(tbPersonFiling.getId());
        });
        List<TbTerminal>tbTerminalList=new ArrayList<>();
        list.stream().collect(Collectors.groupingBy(TbPersonFiling::getVenuesId)).forEach((venuesId,venuesList)->{
            tbTerminalList.addAll(tbTerminalService.findByVenuesId(venuesId));
        });
        tbTerminalList.stream().map(TbTerminal::getSn).distinct().forEach(sn->tbTerminalService.startHeartCommand(sn));
    }
}
