package com.pj.project4sp.sms;

import cn.hutool.core.net.URLEncoder;
import cn.hutool.crypto.digest.MD5;
import cn.hutool.http.HttpUtil;
import com.pj.current.config.MyConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.nio.charset.Charset;

@Service
@Slf4j
public class DuanXinBaoSMSService {
    @Resource
    private MyConfig myConfig;



    @Async
    public void sendSMS(String phone, String content) {
        String pwd = MD5.create().digestHex(myConfig.getSmsPassword());
        final String url = "http://api.smsbao.com/sms?u=" +myConfig.getSmsName()+
                "&p=" + pwd + "&m=" + phone + "&c=" +
                URLEncoder.createDefault().encode(content, Charset.forName("utf-8"));
        String result = HttpUtil.get(url);
        log.info("send sms result:{},{},{}", phone, content, result);
    }
}
