/*
 Navicat Premium Data Transfer

 Source Server         : local
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : localhost:3306
 Source Schema         : smart_face

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 06/06/2024 22:04:20
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for hc_camera
-- ----------------------------
DROP TABLE IF EXISTS `hc_camera`;
CREATE TABLE `hc_camera`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num]',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '所在场所',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '名称',
  `ip` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'IP地址',
  `user_id` int(0) NULL DEFAULT -1 COMMENT '唯一标识',
  `status` int(0) NULL DEFAULT 0 COMMENT '状态 0离线，1在线',
  `port` int(0) NULL DEFAULT NULL COMMENT '端口',
  `uname` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '用户名',
  `pwd` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '密码',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  `channel_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '通道名称',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `hc_camera_user_id`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '海康设备管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of hc_camera
-- ----------------------------
INSERT INTO `hc_camera` VALUES (13, 27, '192.168.88.11', '192.168.1.11', 0, 1, 8000, 'admin', 'ap123456', '2022-11-15 17:56:49', '开发人员', '2023-04-06 16:07:30', '开发人员', 'ssss');

-- ----------------------------
-- Table structure for re_mini_user_car_filing
-- ----------------------------
DROP TABLE IF EXISTS `re_mini_user_car_filing`;
CREATE TABLE `re_mini_user_car_filing`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT,
  `mini_user_id` bigint(0) NOT NULL,
  `filing_car_id` bigint(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '微信端用户与车辆备案中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of re_mini_user_car_filing
-- ----------------------------
INSERT INTO `re_mini_user_car_filing` VALUES (1, 2, 7);
INSERT INTO `re_mini_user_car_filing` VALUES (2, 9, 14);
INSERT INTO `re_mini_user_car_filing` VALUES (3, 12, 15);
INSERT INTO `re_mini_user_car_filing` VALUES (4, 12, 16);
INSERT INTO `re_mini_user_car_filing` VALUES (5, 14, 17);

-- ----------------------------
-- Table structure for re_mini_user_person_filing
-- ----------------------------
DROP TABLE IF EXISTS `re_mini_user_person_filing`;
CREATE TABLE `re_mini_user_person_filing`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT,
  `mini_user_id` bigint(0) NOT NULL,
  `filing_person_id` bigint(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '微信端用户与人员备案中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of re_mini_user_person_filing
-- ----------------------------
INSERT INTO `re_mini_user_person_filing` VALUES (3, 2, 131);
INSERT INTO `re_mini_user_person_filing` VALUES (4, 2, 135);
INSERT INTO `re_mini_user_person_filing` VALUES (5, 12, 139);
INSERT INTO `re_mini_user_person_filing` VALUES (6, 12, 140);

-- ----------------------------
-- Table structure for sp_admin
-- ----------------------------
DROP TABLE IF EXISTS `sp_admin`;
CREATE TABLE `sp_admin`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id，--主键、自增',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '所属部门',
  `dept_id` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '-1' COMMENT '组织ID',
  `super_admin` tinyint(1) NULL DEFAULT 0,
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'admin名称',
  `nickname` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '昵称',
  `avatar` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `pw` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '明文密码',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `role_id` int(0) NULL DEFAULT 11 COMMENT '所属角色id',
  `status` int(0) NULL DEFAULT 1 COMMENT '账号状态(1=正常, 2=禁用)',
  `create_by_aid` bigint(0) NULL DEFAULT -1 COMMENT '创建自哪个管理员',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `login_time` datetime(0) NULL DEFAULT NULL COMMENT '上次登陆时间',
  `login_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上次登陆IP',
  `login_count` int(0) NULL DEFAULT 0 COMMENT '登陆次数',
  `bind` tinyint(1) NULL DEFAULT 0 COMMENT '是否已绑定',
  `bind_time` datetime(0) NULL DEFAULT NULL COMMENT '绑定时间',
  `openid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `edit_pwd` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '是否修改过密码',
  `edit_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统管理员表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sp_admin
-- ----------------------------
INSERT INTO `sp_admin` VALUES (11, 3, NULL, NULL, NULL, 'test', 'test', '', 'F14CA13720C1315F3944F87CD7520CE0', '123456', '13435667876', 30, 1, 10001, '2022-11-09 14:48:27', '2022-11-09 14:48:36', '127.0.0.1', 1, 0, NULL, NULL, '1', NULL);
INSERT INTO `sp_admin` VALUES (10001, 1, '10', 1, '互市公司', 'sa', '开发人员', 'https://oss.dev33.cn/sa-plus/in-file/avatar1.jpg', 'E4EF2A290589A23EFE1565BB698437F5', '123456', NULL, 1, 1, -1, '2022-07-01 11:32:44', '2023-10-31 15:02:27', '127.0.0.1', 185, 0, NULL, NULL, '1', '2023-08-14 16:26:36');
INSERT INTO `sp_admin` VALUES (10002, 4, '8', 1, '海关组织', 'admin', '管理员', 'https://oss.dev33.cn/sa-plus/in-file/avatar2.png', '69F7C9AA1962C6BA53C8DEAEF70E518A', '123456', NULL, 30, 1, -1, '2022-07-01 11:32:44', '2022-11-16 16:12:16', '127.0.0.1', 32, 0, NULL, NULL, '1', NULL);

-- ----------------------------
-- Table structure for sp_admin_login
-- ----------------------------
DROP TABLE IF EXISTS `sp_admin_login`;
CREATE TABLE `sp_admin_login`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `acc_id` bigint(0) NOT NULL COMMENT '管理员账号id',
  `acc_token` varchar(300) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '本次登录Token',
  `login_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '登陆IP',
  `address` varchar(127) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '登录地点',
  `device` varchar(127) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '客户端设备标识',
  `system` varchar(127) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '客户端系统标识',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1264 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '管理员登录日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sp_admin_login
-- ----------------------------
INSERT INTO `sp_admin_login` VALUES (1158, 10001, '93f39f91-cff1-4e24-92cc-c5867eccaf54', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-12 09:27:34');
INSERT INTO `sp_admin_login` VALUES (1159, 10002, 'cc3c341f-b332-4016-9a93-f55fdb42152d', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-12 11:31:45');
INSERT INTO `sp_admin_login` VALUES (1160, 10001, 'b65b96ca-d483-4032-8eab-b99493267ae1', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-12 14:31:45');
INSERT INTO `sp_admin_login` VALUES (1161, 10001, '951363e5-8189-41a2-8acc-d39b5a627846', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-12 16:53:29');
INSERT INTO `sp_admin_login` VALUES (1162, 10001, '951363e5-8189-41a2-8acc-d39b5a627846', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 11:09:58');
INSERT INTO `sp_admin_login` VALUES (1163, 5, '46c8317d-2674-40f7-b5d0-959e4029cc19', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 15:04:08');
INSERT INTO `sp_admin_login` VALUES (1164, 10001, '25f44376-097e-4418-841a-2d362abea489', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 15:19:06');
INSERT INTO `sp_admin_login` VALUES (1165, 10001, '25f44376-097e-4418-841a-2d362abea489', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 15:23:15');
INSERT INTO `sp_admin_login` VALUES (1166, 10001, 'b5b6ba28-d3ea-4530-90c0-e82a34668b64', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 16:58:28');
INSERT INTO `sp_admin_login` VALUES (1167, 6, '3f44439a-3119-4cd4-97ce-ceb20359d958', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 17:20:32');
INSERT INTO `sp_admin_login` VALUES (1168, 10001, '4d92d867-abc2-4b4e-bfa3-7ae12e4ca0b8', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 17:20:47');
INSERT INTO `sp_admin_login` VALUES (1169, 7, 'bb1fdb34-37c8-4dc1-ab0b-7d73b469167e', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 17:27:14');
INSERT INTO `sp_admin_login` VALUES (1170, 10001, 'd56cedf8-8271-47ec-82f3-9dedf8b5003c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 17:28:31');
INSERT INTO `sp_admin_login` VALUES (1171, 8, '6e08d091-0619-4c7a-b432-5a35b310eb05', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-13 17:58:18');
INSERT INTO `sp_admin_login` VALUES (1172, 10001, 'fe9f9f9f-222b-43fc-acc3-6fab8c17d3b4', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-14 09:25:16');
INSERT INTO `sp_admin_login` VALUES (1173, 10001, 'f4d349bd-12e4-4834-8bf5-674b9b5aef2f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-14 10:19:47');
INSERT INTO `sp_admin_login` VALUES (1174, 10001, 'f4d349bd-12e4-4834-8bf5-674b9b5aef2f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-14 16:58:39');
INSERT INTO `sp_admin_login` VALUES (1175, 10001, 'f4d349bd-12e4-4834-8bf5-674b9b5aef2f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-17 09:14:16');
INSERT INTO `sp_admin_login` VALUES (1176, 10001, 'f4d349bd-12e4-4834-8bf5-674b9b5aef2f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:18:50');
INSERT INTO `sp_admin_login` VALUES (1177, 9, '7b3297ec-281b-4b86-a741-54a14331bafd', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:20:51');
INSERT INTO `sp_admin_login` VALUES (1178, 10001, '1ed54938-6392-4923-87a0-e80046c337ac', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:21:21');
INSERT INTO `sp_admin_login` VALUES (1179, 10001, 'b2b502de-016b-4d3b-9667-18ae456ad3b6', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:21:58');
INSERT INTO `sp_admin_login` VALUES (1180, 9, '920a452a-8bbf-44ea-b319-5d23500fa95c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:22:10');
INSERT INTO `sp_admin_login` VALUES (1181, 10001, '925cd6e1-f3a2-4b23-b8a9-8a69ce922a14', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:22:49');
INSERT INTO `sp_admin_login` VALUES (1182, 9, 'bcb71ddd-9166-4bf0-9c9f-36d9a492586f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:25:16');
INSERT INTO `sp_admin_login` VALUES (1183, 10001, '0de0b276-c3b8-41e3-8c21-adc57bd5f85c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:25:31');
INSERT INTO `sp_admin_login` VALUES (1184, 9, '3eced565-b380-43d8-8033-4bb0189d4d6c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:25:59');
INSERT INTO `sp_admin_login` VALUES (1185, 9, 'cbd8a68c-ca9d-4ad9-b4aa-3aca5edc4622', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 09:31:35');
INSERT INTO `sp_admin_login` VALUES (1186, 10001, '2246d846-c420-47ae-97d3-7b4b00f5a4d1', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 10:08:24');
INSERT INTO `sp_admin_login` VALUES (1187, 10002, 'a9983404-5dd6-41d9-a54e-5bf8fab58b58', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 10:08:59');
INSERT INTO `sp_admin_login` VALUES (1188, 9, '3d72cd18-af4f-4aec-a92a-89c6dffe184a', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 10:26:38');
INSERT INTO `sp_admin_login` VALUES (1189, 9, '3d72cd18-af4f-4aec-a92a-89c6dffe184a', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 17:17:31');
INSERT INTO `sp_admin_login` VALUES (1190, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-18 17:17:45');
INSERT INTO `sp_admin_login` VALUES (1191, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-19 09:41:57');
INSERT INTO `sp_admin_login` VALUES (1192, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-25 17:00:58');
INSERT INTO `sp_admin_login` VALUES (1193, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-31 16:33:44');
INSERT INTO `sp_admin_login` VALUES (1194, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-31 16:42:17');
INSERT INTO `sp_admin_login` VALUES (1195, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-10-31 18:18:54');
INSERT INTO `sp_admin_login` VALUES (1196, 10001, '4a877a90-1383-4526-b0c1-edf2cbb1e486', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-01 14:53:11');
INSERT INTO `sp_admin_login` VALUES (1197, 10, '30c78490-71dc-49f2-8427-02c9a08624b3', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-01 14:56:05');
INSERT INTO `sp_admin_login` VALUES (1198, 10001, '66252e57-7510-4380-bfdc-4c17cd9c5ac7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-08 10:38:24');
INSERT INTO `sp_admin_login` VALUES (1199, 10001, 'f45b9673-1d49-4ef1-87e5-096ed8a4fe82', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-08 10:40:36');
INSERT INTO `sp_admin_login` VALUES (1200, 10001, '4a143cba-ed0b-4920-806f-58b410c521be', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-08 15:24:26');
INSERT INTO `sp_admin_login` VALUES (1201, 10001, '4a143cba-ed0b-4920-806f-58b410c521be', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 09:30:01');
INSERT INTO `sp_admin_login` VALUES (1202, 10001, '15bdfa6d-e729-4c7b-a45e-652f0bfd5090', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 11:55:02');
INSERT INTO `sp_admin_login` VALUES (1203, 10001, '98887d87-622f-453f-b20c-cbd45bc4e9ab', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 11:55:19');
INSERT INTO `sp_admin_login` VALUES (1204, 10001, '49fcf781-6bdf-4ea7-bbd5-0faaadde1e3f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 14:43:34');
INSERT INTO `sp_admin_login` VALUES (1205, 10001, '9abac9b9-bdf8-4369-9d45-63c1e8cf32ee', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 14:45:59');
INSERT INTO `sp_admin_login` VALUES (1206, 10002, 'bd578812-d7aa-4bb5-a273-d4093697e92c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 14:47:43');
INSERT INTO `sp_admin_login` VALUES (1207, 10001, '168596f8-3316-4b00-9927-72097bb1735e', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 14:47:59');
INSERT INTO `sp_admin_login` VALUES (1208, 11, 'a19f48ba-d77e-4b32-818d-dd94e6d47a74', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 14:48:36');
INSERT INTO `sp_admin_login` VALUES (1209, 10001, 'ee2979c5-a3cc-4b6d-9e52-1ff46d176a03', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 14:49:32');
INSERT INTO `sp_admin_login` VALUES (1210, 10002, '2b453463-7dde-43fb-9b2b-a4041829a62f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 16:23:49');
INSERT INTO `sp_admin_login` VALUES (1211, 10001, '5fa5c470-53e2-46ed-b6af-d455e15f7580', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-09 16:29:52');
INSERT INTO `sp_admin_login` VALUES (1212, 10001, '5fa5c470-53e2-46ed-b6af-d455e15f7580', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 09:42:22');
INSERT INTO `sp_admin_login` VALUES (1213, 10002, '9e8afa2c-b487-4baa-93a1-3ddc2645148c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 10:09:24');
INSERT INTO `sp_admin_login` VALUES (1214, 10001, 'fbee382a-7b5b-4104-9f04-89d032b11308', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 10:15:47');
INSERT INTO `sp_admin_login` VALUES (1215, 10002, '773e5536-73e6-4f37-8187-9b08cc823914', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 10:16:49');
INSERT INTO `sp_admin_login` VALUES (1216, 10001, '8087f6ef-7f62-4bbc-8d78-a9adc7e43e47', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:27:13');
INSERT INTO `sp_admin_login` VALUES (1217, 10001, '8087f6ef-7f62-4bbc-8d78-a9adc7e43e47', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:27:32');
INSERT INTO `sp_admin_login` VALUES (1218, 10001, '8087f6ef-7f62-4bbc-8d78-a9adc7e43e47', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:28:12');
INSERT INTO `sp_admin_login` VALUES (1219, 10002, '773e5536-73e6-4f37-8187-9b08cc823914', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:41:35');
INSERT INTO `sp_admin_login` VALUES (1220, 10001, '62f9b06d-40ef-4700-b086-0c423bbac417', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:41:55');
INSERT INTO `sp_admin_login` VALUES (1221, 10002, 'c009406d-78b3-4767-8e51-270dbc77983e', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:42:29');
INSERT INTO `sp_admin_login` VALUES (1222, 10002, '0a107897-4434-459d-9d7d-2726ed737600', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:43:46');
INSERT INTO `sp_admin_login` VALUES (1223, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-10 14:44:15');
INSERT INTO `sp_admin_login` VALUES (1224, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-11 09:39:51');
INSERT INTO `sp_admin_login` VALUES (1225, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-14 14:24:27');
INSERT INTO `sp_admin_login` VALUES (1226, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-14 14:24:53');
INSERT INTO `sp_admin_login` VALUES (1227, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-15 11:11:24');
INSERT INTO `sp_admin_login` VALUES (1228, 10002, '5fcf7b39-e771-4e8d-b163-1bb671ca7c30', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-16 16:12:16');
INSERT INTO `sp_admin_login` VALUES (1229, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-16 16:12:26');
INSERT INTO `sp_admin_login` VALUES (1230, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-17 11:28:09');
INSERT INTO `sp_admin_login` VALUES (1231, 10001, '2d8846c2-6e04-44d9-8437-2443104116c7', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-18 10:39:29');
INSERT INTO `sp_admin_login` VALUES (1232, 10001, '8ad84f62-047e-4695-af63-f511a6832d1f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-18 14:51:49');
INSERT INTO `sp_admin_login` VALUES (1233, 10001, '8ad84f62-047e-4695-af63-f511a6832d1f', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-21 09:31:03');
INSERT INTO `sp_admin_login` VALUES (1234, 10001, '2cc03845-e06b-4bfb-96cf-e3315c1caa43', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-21 10:41:41');
INSERT INTO `sp_admin_login` VALUES (1235, 10001, '2cc03845-e06b-4bfb-96cf-e3315c1caa43', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-22 14:27:51');
INSERT INTO `sp_admin_login` VALUES (1236, 10001, '2cc03845-e06b-4bfb-96cf-e3315c1caa43', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-11-30 14:24:46');
INSERT INTO `sp_admin_login` VALUES (1237, 10001, '2cc03845-e06b-4bfb-96cf-e3315c1caa43', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-12-02 14:33:50');
INSERT INTO `sp_admin_login` VALUES (1238, 10001, '2cc03845-e06b-4bfb-96cf-e3315c1caa43', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-12-05 10:04:46');
INSERT INTO `sp_admin_login` VALUES (1239, 10001, '05ef85e1-4689-43c7-8997-a183eadcb782', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-12-05 17:15:08');
INSERT INTO `sp_admin_login` VALUES (1240, 10001, '05ef85e1-4689-43c7-8997-a183eadcb782', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-12-07 15:23:39');
INSERT INTO `sp_admin_login` VALUES (1241, 10001, '05ef85e1-4689-43c7-8997-a183eadcb782', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-12-12 17:33:47');
INSERT INTO `sp_admin_login` VALUES (1242, 10001, '05ef85e1-4689-43c7-8997-a183eadcb782', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2022-12-14 09:32:57');
INSERT INTO `sp_admin_login` VALUES (1243, 10001, '05ef85e1-4689-43c7-8997-a183eadcb782', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-01-06 16:52:50');
INSERT INTO `sp_admin_login` VALUES (1244, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-03-03 10:10:53');
INSERT INTO `sp_admin_login` VALUES (1245, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-03-03 10:33:07');
INSERT INTO `sp_admin_login` VALUES (1246, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-03-03 20:23:39');
INSERT INTO `sp_admin_login` VALUES (1247, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-03-15 15:38:16');
INSERT INTO `sp_admin_login` VALUES (1248, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-03-21 11:38:38');
INSERT INTO `sp_admin_login` VALUES (1249, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-03-23 11:28:21');
INSERT INTO `sp_admin_login` VALUES (1250, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-04-06 15:37:03');
INSERT INTO `sp_admin_login` VALUES (1251, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-04-06 15:57:24');
INSERT INTO `sp_admin_login` VALUES (1252, 10001, '9e810077-3fca-484f-9d08-581f5ae9ba9c', '127.0.0.1', 'unknown', 'Chrome 10', 'Windows 10', '2023-04-06 17:16:16');
INSERT INTO `sp_admin_login` VALUES (1253, 10001, '1a8c481c-e179-4173-9dc9-3cab3ae90967', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-05-31 09:21:02');
INSERT INTO `sp_admin_login` VALUES (1254, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:33:48');
INSERT INTO `sp_admin_login` VALUES (1255, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:36:14');
INSERT INTO `sp_admin_login` VALUES (1256, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:37:24');
INSERT INTO `sp_admin_login` VALUES (1257, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:39:09');
INSERT INTO `sp_admin_login` VALUES (1258, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:39:34');
INSERT INTO `sp_admin_login` VALUES (1259, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:39:56');
INSERT INTO `sp_admin_login` VALUES (1260, 10001, '5605a90c-cf1b-467a-ac8b-0dd250a9334a', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:40:55');
INSERT INTO `sp_admin_login` VALUES (1261, 10001, 'e752e37b-8982-4049-a91e-504655dc3554', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:44:19');
INSERT INTO `sp_admin_login` VALUES (1262, 10001, 'a2ed6556-6f76-4bdf-9f72-34e03d3c408d', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-08-14 15:55:13');
INSERT INTO `sp_admin_login` VALUES (1263, 10001, 'd021d172-bf59-4fa6-b801-e5e2567d1271', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-10-30 17:35:48');
INSERT INTO `sp_admin_login` VALUES (1264, 10001, 'd021d172-bf59-4fa6-b801-e5e2567d1271', '127.0.0.1', 'unknown', 'Chrome 11', 'Windows 10', '2023-10-31 15:02:27');

-- ----------------------------
-- Table structure for sp_apilog
-- ----------------------------
DROP TABLE IF EXISTS `sp_apilog`;
CREATE TABLE `sp_apilog`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '请求id',
  `req_ip` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端ip',
  `req_api` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求api',
  `req_parame` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '请求参数',
  `req_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求类型（GET、POST...）',
  `req_token` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求token',
  `req_header` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '请求header',
  `res_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '返回-状态码',
  `res_msg` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '返回-信息描述',
  `res_string` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '返回-整个信息字符串形式',
  `user_id` bigint(0) NULL DEFAULT NULL COMMENT 'user_id',
  `admin_id` bigint(0) NULL DEFAULT NULL COMMENT 'admin_id',
  `start_time` datetime(3) NULL DEFAULT NULL COMMENT '请求开始时间',
  `end_time` datetime(3) NULL DEFAULT NULL COMMENT '请求结束时间',
  `cost_time` bigint(0) NULL DEFAULT NULL COMMENT '花费时间，单位ms',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1719256391069339648 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'api请求记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sp_cfg
-- ----------------------------
DROP TABLE IF EXISTS `sp_cfg`;
CREATE TABLE `sp_cfg`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `cfg_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '配置名',
  `cfg_value` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '配置值',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `cfg_name`(`cfg_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '配置信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sp_cfg
-- ----------------------------
INSERT INTO `sp_cfg` VALUES (1, 'app_cfg', '{\"logoUrl\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"appName\":\"Sa-Plus 后台管理\",\"appVersionNo\":\"v1.27.0\",\"appVersionLog\":\"更新于2022-2-21\"}', '应用配置信息，对外公开');
INSERT INTO `sp_cfg` VALUES (2, 'server_cfg', '{\"termianlFilling\":1,\"minTemperature\":38,\"tourLimit\":0,\"verifyMode\":0,\"acidLimit\":24,\"sendAlarm\":0,\"smsSign\":\"东兴互市智慧来访系统\"}', '服务器私有配置');

-- ----------------------------
-- Table structure for sp_role
-- ----------------------------
DROP TABLE IF EXISTS `sp_role`;
CREATE TABLE `sp_role`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '角色id，--主键、自增',
  `customer_id` bigint(0) NULL DEFAULT -1 COMMENT '企业',
  `name` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称, 唯一约束',
  `info` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色详细描述',
  `is_lock` int(0) NOT NULL DEFAULT 1 COMMENT '是否锁定(1=是,2=否), 锁定之后不可随意删除, 防止用户误操作',
  `create_time` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sp_role
-- ----------------------------
INSERT INTO `sp_role` VALUES (1, -1, '开发者', '系统开发人员，最高权限', 1, '2022-07-01 11:32:44');
INSERT INTO `sp_role` VALUES (2, -1, '系统管理员', '系统管理员', 1, '2022-07-01 11:32:44');
INSERT INTO `sp_role` VALUES (3, -1, '防疫角色', '防疫角色', 1, '2022-07-01 11:32:44');
INSERT INTO `sp_role` VALUES (30, -1, '部门角色', '管理审核备案', 1, '2022-10-14 09:35:53');

-- ----------------------------
-- Table structure for sp_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sp_role_permission`;
CREATE TABLE `sp_role_permission`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `role_id` bigint(0) NULL DEFAULT NULL COMMENT '角色ID ',
  `permission_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单项ID',
  `create_time` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2625 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色权限中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sp_role_permission
-- ----------------------------
INSERT INTO `sp_role_permission` VALUES (1052, 27, 'sp-admin-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1053, 27, 'tb-gate-terminal-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1054, 27, 'tb-terminal-venues', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1055, 27, 'tb-manager-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1056, 27, 'sp-admin-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1057, 27, 'tb-alarm-person-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1058, 27, 'tb-person-visit-record-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1059, 27, 'auth', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1060, 27, 'tb-gate-terminal-open', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1061, 27, 'tb-venues-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1062, 27, 'tb-tactics', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1063, 27, 'admin-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1064, 27, 'filing-system', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1065, 27, 'tb-alarm-person-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1066, 27, 'role-list-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1067, 27, 'tb-person-visit-record-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1068, 27, 'tb-venues-channel-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1069, 27, 'tb-person-visit-temperature-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1070, 27, 'health-code-record-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1071, 27, 'tb-alarm-person-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1072, 27, 'tb-filing', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1073, 27, 'sp-admin-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1074, 27, 'role-list-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1075, 27, 'health-code-record-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1076, 27, 'tb-person-visit-record-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1077, 27, 'role-list-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1078, 27, 'health-code-record-solve', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1079, 27, 'tb-gate-terminal-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1080, 27, 'alarm-monitor-system', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1081, 27, 'sp-role-permission', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1082, 27, 'tb-terminal-sync-time', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1083, 27, 'tb-person-visit-record-export', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1084, 27, 'dev', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1085, 27, 'role-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1086, 27, 'tb-tactics-setting', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1087, 27, 'tb-car-visit-record-export', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1088, 27, 'tb-manager-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1089, 27, 'tb-terminal-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1090, 27, 'tb-terminal-monitor', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1091, 27, 'in-system', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1092, 27, 'tb-terminal', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1093, 27, 'tb-car-visit-record-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1094, 27, 'tb-customer-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1095, 27, 'tb-car-visit-record-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1096, 27, 'tb-manager-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1097, 27, 'tb-person-black-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1098, 27, 'tb-gate-terminal', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1099, 27, 'tb-terminal-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1100, 27, 'ep-monitor-system', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1101, 27, 'tb-car-visit-record-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1102, 27, 'tb-manager-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1103, 27, 'tb-customer-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1104, 27, 'tb-person-black-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1105, 27, 'tb-terminal-open', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1106, 27, 'tb-car-visit-record', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1107, 27, 'tb-alarm-person-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1108, 27, 'health-monitor-system', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1109, 27, 'tb-terminal-down', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1110, 27, 'tb-car-black-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1111, 27, 'tb-person-black-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1112, 27, 'tb-terminal-reboot', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1113, 27, 'tb-person-filing-judge', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1114, 27, 'tb-venues-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1115, 27, 'tb-monitor', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1116, 27, 'tb-car-visit-record-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1117, 27, 'tb-car-black-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1118, 27, 'tb-person-visit-record', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1119, 27, 'tb-person-visit-record-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1120, 27, 'tb-black', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1121, 27, 'tb-venues', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1122, 27, 'tb-car-filing-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1123, 27, 'tb-person-filing-add', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1124, 27, 'tb-car-black-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1125, 27, 'tb-person-filing-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1126, 27, 'tb-person-black-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1127, 27, 'tb-person-filing-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1128, 27, 'tb-car-black-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1129, 27, 'tb-car-filing-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1130, 27, 'tb-person-filing-del', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1131, 27, 'tb-car-filing-list', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1132, 27, 'tb-person-filing-import', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1133, 27, 'tb-car-filing-edit', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1134, 27, 'tb-car-filing-judge', '2022-10-13 17:46:17');
INSERT INTO `sp_role_permission` VALUES (1135, 28, 'tb-person-visit-record-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1136, 28, 'tb-person-visit-record-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1137, 28, 'tb-person-visit-temperature-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1138, 28, 'tb-person-visit-record-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1139, 28, 'tb-person-visit-record-export', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1140, 28, 'tb-car-visit-record-export', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1141, 28, 'tb-car-visit-record-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1142, 28, 'tb-car-visit-record-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1143, 28, 'tb-car-visit-record', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1144, 28, 'tb-car-visit-record-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1145, 28, 'tb-person-visit-record-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1146, 28, 'tb-person-black-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1147, 28, 'tb-person-black-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1148, 28, 'tb-person-black-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1149, 28, 'tb-person-visit-record', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1150, 28, 'tb-person-black-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1151, 28, 'tb-car-black-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1152, 28, 'tb-car-black-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1153, 28, 'tb-car-black-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1154, 28, 'tb-black', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1155, 28, 'tb-car-black-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1156, 28, 'tb-alarm-person-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1157, 28, 'tb-alarm-person-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1158, 28, 'tb-alarm-person-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1159, 28, 'health-code-record-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1160, 28, 'alarm-monitor-system', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1161, 28, 'tb-terminal-monitor', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1162, 28, 'tb-customer-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1163, 28, 'tb-customer-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1164, 28, 'health-monitor-system', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1165, 28, 'tb-monitor', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1166, 28, 'tb-alarm-person-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1167, 28, 'tb-gate-terminal-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1168, 28, 'tb-terminal-venues', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1169, 28, 'tb-manager-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1170, 28, 'tb-venues-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1171, 28, 'tb-venues-channel-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1172, 28, 'role-list-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1173, 28, 'sp-role-permission', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1174, 28, 'tb-terminal', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1175, 28, 'tb-terminal-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1176, 28, 'tb-terminal-down', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1177, 28, 'tb-venues-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1178, 28, 'tb-venues', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1179, 28, 'sp-admin-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1180, 28, 'sp-admin-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1181, 28, 'role-list-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1182, 28, 'role-list-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1183, 28, 'role-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1184, 28, 'auth', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1185, 28, 'admin-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1186, 28, 'sp-admin-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1187, 28, 'tb-terminal-sync-time', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1188, 28, 'tb-terminal-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1189, 28, 'tb-gate-terminal', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1190, 28, 'tb-terminal-open', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1191, 28, 'tb-terminal-reboot', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1192, 28, 'dev', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1193, 28, 'filing-system', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1194, 28, 'tb-filing', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1195, 28, 'tb-gate-terminal-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1196, 28, 'tb-car-filing-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1197, 28, 'tb-car-filing-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1198, 28, 'tb-gate-terminal-open', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1199, 28, 'tb-car-filing-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1200, 28, 'tb-tactics', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1201, 28, 'tb-car-filing-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1202, 28, 'in-system', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1203, 28, 'tb-car-filing-judge', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1204, 28, 'health-code-record-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1205, 28, 'tb-car-visit-record-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1206, 28, 'ep-monitor-system', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1207, 28, 'tb-person-filing-judge', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1208, 28, 'tb-person-filing-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1209, 28, 'tb-person-filing-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1210, 28, 'tb-tactics-setting', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1211, 28, 'tb-manager-list', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1212, 28, 'health-code-record-solve', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1213, 28, 'tb-person-filing-del', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1214, 28, 'tb-manager-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1215, 28, 'tb-manager-edit', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1216, 28, 'tb-person-filing-add', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1217, 28, 'tb-person-filing-import', '2022-10-13 17:49:11');
INSERT INTO `sp_role_permission` VALUES (1670, 30, 'bas', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1671, 30, 'in-system', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1672, 30, 'auth', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1673, 30, 'tb-department-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1674, 30, 'tb-department-edit', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1675, 30, 'tb-dept-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1676, 30, 'tb-dept-edit', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1677, 30, 'filing-system', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1678, 30, 'tb-filing', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1679, 30, 'tb-person-filing-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1680, 30, 'tb-person-filing-judge', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1681, 30, 'tb-person-filing-add', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1682, 30, 'tb-person-filing-del', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1683, 30, 'tb-person-filing-edit', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1684, 30, 'tb-person-filing-import', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1685, 30, 'tb-car-filing-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1686, 30, 'tb-car-filing-judge', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1687, 30, 'tb-car-filing-add', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1688, 30, 'tb-car-filing-del', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1689, 30, 'tb-car-filing-edit', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1690, 30, 'tb-person-visit-record', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1691, 30, 'tb-person-visit-record-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1692, 30, 'tb-person-visit-record-export', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1693, 30, 'tb-person-visit-record-edit', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1694, 30, 'tb-person-visit-record-del', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1695, 30, 'tb-person-visit-temperature-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1696, 30, 'tb-person-visit-record-add', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1697, 30, 'tb-car-visit-record', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1698, 30, 'tb-car-visit-record-list', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1699, 30, 'tb-car-visit-record-export', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1700, 30, 'tb-car-visit-record-add', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1701, 30, 'tb-car-visit-record-edit', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1702, 30, 'tb-car-visit-record-del', '2022-11-10 14:42:19');
INSERT INTO `sp_role_permission` VALUES (1703, 2, 'bas', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1704, 2, 'dev', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1705, 2, 'in-system', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1706, 2, 'auth', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1707, 2, 'tb-dept-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1708, 2, 'tb-dept-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1709, 2, 'tb-dept-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1710, 2, 'tb-dept-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1711, 2, 'admin-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1712, 2, 'sp-admin-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1713, 2, 'sp-admin-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1714, 2, 'sp-admin-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1715, 2, 'role-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1716, 2, 'sp-role-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1717, 2, 'sp-role-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1718, 2, 'sp-role-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1719, 2, 'sp-role-permission', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1720, 2, 'menu-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1721, 2, 'apilog-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1722, 2, 'sys-dict-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1723, 2, 'sys-dict-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1724, 2, 'sys-dict-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1725, 2, 'sys-dict-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1726, 2, 'tb-terminal-venues', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1727, 2, 'tb-venues-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1728, 2, 'tb-venues-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1729, 2, 'tb-venues-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1730, 2, 'tb-venues-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1731, 2, 'tb-terminal', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1732, 2, 'tb-terminal-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1733, 2, 'tb-terminal-clear', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1734, 2, 'tb-terminal-reboot', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1735, 2, 'tb-terminal-open', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1736, 2, 'tb-terminal-sync-time', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1737, 2, 'tb-terminal-unbind', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1738, 2, 'tb-terminal-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1739, 2, 'tb-terminal-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1740, 2, 'tb-command-log-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1741, 2, 'tb-command-log-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1742, 2, 'tb-gate-terminal', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1743, 2, 'tb-gate-terminal-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1744, 2, 'tb-gate-terminal-open', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1745, 2, 'tb-gate-terminal-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1746, 2, 'tb-gate-terminal-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1747, 2, 'tb-gate-terminal-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1748, 2, 'tb-gate-command-log-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1749, 2, 'tb-gate-command-log-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1750, 2, 'filing-system', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1751, 2, 'tb-filing', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1752, 2, 'tb-person-filing-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1753, 2, 'tb-person-filing-judge', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1754, 2, 'tb-person-filing-issued', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1755, 2, 'tb-person-filing-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1756, 2, 'tb-person-filing-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1757, 2, 'tb-person-filing-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1758, 2, 'tb-car-filing-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1759, 2, 'tb-car-filing-judge', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1760, 2, 'tb-car-filing-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1761, 2, 'tb-car-filing-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1762, 2, 'tb-car-filing-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1763, 2, 'tb-black', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1764, 2, 'tb-car-black-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1765, 2, 'tb-car-black-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1766, 2, 'tb-car-black-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1767, 2, 'tb-car-black-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1768, 2, 'tb-person-black-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1769, 2, 'tb-person-black-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1770, 2, 'tb-person-black-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1771, 2, 'tb-person-black-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1772, 2, 'sp-cfg', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1773, 2, 'sp-cfg-server', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1774, 2, 'tb-person-visit-record', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1775, 2, 'tb-person-visit-record-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1776, 2, 'tb-person-visit-record-export', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1777, 2, 'tb-person-visit-record-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1778, 2, 'tb-person-visit-record-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1779, 2, 'tb-person-visit-temperature-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1780, 2, 'tb-person-visit-record-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1781, 2, 'tb-car-visit-record', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1782, 2, 'tb-car-visit-record-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1783, 2, 'tb-car-visit-record-export', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1784, 2, 'tb-car-visit-record-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1785, 2, 'tb-car-visit-record-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1786, 2, 'tb-car-visit-record-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1787, 2, 'ep-monitor-system', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1788, 2, 'tb-manager-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1789, 2, 'tb-manager-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1790, 2, 'tb-manager-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1791, 2, 'tb-manager-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1792, 2, 'health-code-record-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1793, 2, 'health-code-record-solve', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1794, 2, 'health-code-record-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1795, 2, 'alarm-monitor-system', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1796, 2, 'tb-alarm-person-list', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1797, 2, 'tb-alarm-person-add', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1798, 2, 'tb-alarm-person-edit', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1799, 2, 'tb-alarm-person-del', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1800, 2, 'health-monitor-system', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1801, 2, 'tb-monitor', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (1802, 2, 'tb-terminal-monitor', '2022-11-14 14:54:29');
INSERT INTO `sp_role_permission` VALUES (2506, 1, 'bas', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2507, 1, 'dev', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2508, 1, 'in-system', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2509, 1, 'auth', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2510, 1, 'tb-department-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2511, 1, 'tb-department-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2512, 1, 'tb-department-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2513, 1, 'tb-department-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2514, 1, 'tb-dept-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2515, 1, 'tb-dept-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2516, 1, 'tb-dept-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2517, 1, 'tb-dept-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2518, 1, 'admin-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2519, 1, 'sp-admin-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2520, 1, 'sp-admin-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2521, 1, 'sp-admin-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2522, 1, 'sp-admin-role-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2523, 1, 'tb-mini-user', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2524, 1, 'mini-user-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2525, 1, 'mini-user-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2526, 1, 'role-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2527, 1, 'sp-role-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2528, 1, 'sp-role-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2529, 1, 'sp-role-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2530, 1, 'sp-role-permission', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2531, 1, 'menu-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2532, 1, 'apilog-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2533, 1, 'sys-dict-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2534, 1, 'sys-dict-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2535, 1, 'sys-dict-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2536, 1, 'sys-dict-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2537, 1, 'tb-terminal-venues', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2538, 1, 'tb-venues-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2539, 1, 'tb-venues-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2540, 1, 'tb-venues-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2541, 1, 'tb-venues-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2542, 1, 'tb-terminal', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2543, 1, 'tb-terminal-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2544, 1, 'tb-terminal-down', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2545, 1, 'tb-terminal-clear', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2546, 1, 'tb-terminal-reboot', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2547, 1, 'tb-terminal-open', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2548, 1, 'tb-terminal-sync-time', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2549, 1, 'tb-terminal-unbind', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2550, 1, 'tb-terminal-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2551, 1, 'tb-terminal-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2552, 1, 'tb-command-log-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2553, 1, 'tb-command-log-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2554, 1, 'tb-gate-terminal', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2555, 1, 'tb-gate-terminal-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2556, 1, 'tb-gate-terminal-open', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2557, 1, 'tb-gate-terminal-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2558, 1, 'tb-gate-terminal-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2559, 1, 'tb-gate-terminal-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2560, 1, 'tb-gate-command-log-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2561, 1, 'tb-gate-command-log-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2562, 1, 'hc-camera-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2563, 1, 'hc-camera-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2564, 1, 'hc-camera-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2565, 1, 'hc-camera-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2566, 1, 'filing-system', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2567, 1, 'tb-filing', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2568, 1, 'tb-person-filing-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2569, 1, 'tb-person-filing-judge', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2570, 1, 'tb-person-filing-export', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2571, 1, 'tb-person-filing-issued', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2572, 1, 'tb-person-filing-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2573, 1, 'tb-person-filing-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2574, 1, 'tb-person-filing-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2575, 1, 'tb-person-filing-import', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2576, 1, 'tb-car-filing-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2577, 1, 'tb-car-filing-judge', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2578, 1, 'tb-car-filing-export', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2579, 1, 'tb-car-filing-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2580, 1, 'tb-car-filing-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2581, 1, 'tb-car-filing-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2582, 1, 'tb-black', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2583, 1, 'tb-car-black-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2584, 1, 'tb-car-black-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2585, 1, 'tb-car-black-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2586, 1, 'tb-car-black-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2587, 1, 'tb-person-black-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2588, 1, 'tb-person-black-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2589, 1, 'tb-person-black-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2590, 1, 'tb-person-black-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2591, 1, 'console', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2592, 1, 'redis-console', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2593, 1, 'sql-console', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2594, 1, 'sp-cfg', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2595, 1, 'sp-cfg-server', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2596, 1, 'tb-person-visit-record', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2597, 1, 'tb-person-visit-record-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2598, 1, 'tb-person-visit-record-export', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2599, 1, 'tb-person-visit-record-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2600, 1, 'tb-person-visit-record-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2601, 1, 'tb-person-visit-temperature-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2602, 1, 'tb-person-visit-record-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2603, 1, 'tb-car-visit-record', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2604, 1, 'tb-car-visit-record-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2605, 1, 'tb-car-visit-record-export', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2606, 1, 'tb-car-visit-record-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2607, 1, 'tb-car-visit-record-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2608, 1, 'tb-car-visit-record-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2609, 1, 'ep-monitor-system', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2610, 1, 'tb-manager-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2611, 1, 'tb-manager-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2612, 1, 'tb-manager-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2613, 1, 'tb-manager-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2614, 1, 'tb-tactics', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2615, 1, 'tb-tactics-setting', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2616, 1, 'health-code-record-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2617, 1, 'health-code-record-solve', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2618, 1, 'alarm-monitor-system', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2619, 1, 'tb-alarm-person-list', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2620, 1, 'tb-alarm-person-add', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2621, 1, 'tb-alarm-person-edit', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2622, 1, 'tb-alarm-person-del', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2623, 1, 'health-monitor-system', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2624, 1, 'tb-monitor', '2022-12-05 15:01:03');
INSERT INTO `sp_role_permission` VALUES (2625, 1, 'tb-terminal-monitor', '2022-12-05 15:01:03');

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `pid` int(0) NULL DEFAULT 0 COMMENT ' 父ID ',
  `sys_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典编号',
  `data_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT ' 数据编码 ',
  `data_value` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT ' 数据名称/值 ',
  `data_desc` varchar(400) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据描述',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `SYS_DICT_PK`(`id`) USING BTREE,
  INDEX `idx_dc_dt`(`pid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典管理    [tree idkey=id, fkey=pid, ckey=children]' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES (1, 0, 'account_type', '账号属性', '账号属性', '账号属性');
INSERT INTO `sys_dict` VALUES (4, 0, 'account_status', '账号状态', '系统账号状态', '系统账号状态');
INSERT INTO `sys_dict` VALUES (5, 4, 'account_status', '1', '正常', '账号可登录');
INSERT INTO `sys_dict` VALUES (6, 4, 'account_status', '2', '锁定', '账号不可登录');

-- ----------------------------
-- Table structure for tb_car_black
-- ----------------------------
DROP TABLE IF EXISTS `tb_car_black`;
CREATE TABLE `tb_car_black`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add no-s no-show]',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID[no-show no-add]',
  `car_no` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '车牌号[text j=like]',
  `reason` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '禁行原因',
  `start_time` datetime(0) NULL DEFAULT NULL COMMENT '禁行开始',
  `end_time` datetime(0) NULL DEFAULT NULL COMMENT '禁行结束',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `tb_car_black_car_no_index`(`car_no`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '车辆黑名单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_car_filing
-- ----------------------------
DROP TABLE IF EXISTS `tb_car_filing`;
CREATE TABLE `tb_car_filing`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '[no-add no-show no-s]',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '部门id',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场所ID',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID[no-add no-show n-s]',
  `dept_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '部门',
  `car_no` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '车牌号[j=like]',
  `type` tinyint(1) NULL DEFAULT 1 COMMENT '类型(1=临时,2=内部)[j]',
  `driver_name` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系人[j=like]',
  `driver_contact` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系电话[j=like]',
  `driver_id_card` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系人身份证[j=like]',
  `driver_photo` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '司机人脸',
  `driver_pin` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '司机工号',
  `pre_come_time` datetime(0) NULL DEFAULT NULL COMMENT '预计来访时间',
  `pre_leave_time` datetime(0) NULL DEFAULT NULL COMMENT '预计结束时间',
  `visit` tinyint(1) NULL DEFAULT 0 COMMENT '状态[0=未到访,1=到访]',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注[no-show no-s]',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  `judge_state` tinyint(1) NULL DEFAULT 0 COMMENT '是否审核[0=否,1=是,2=不通过]',
  `judge_time` datetime(0) NULL DEFAULT NULL COMMENT '审核时间',
  `judge_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '审核人',
  `shop_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '商铺号',
  `start_time` datetime(0) NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime(0) NULL DEFAULT NULL COMMENT '结束时间',
  `judge_content` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '审核意见',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `tb_car_filing_car_no_index`(`car_no`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '车辆备案' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_car_filing
-- ----------------------------
INSERT INTO `tb_car_filing` VALUES (16, 3, 27, 2, '海关', '桂A08374', 1, '张三', '17687679618', '', '', NULL, NULL, NULL, 0, NULL, '2022-11-14 14:51:05', '张三', '2023-10-30 18:13:48', '开发人员', 0, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `tb_car_filing` VALUES (17, 6, 27, 10, '商铺', '桂A1F649', 1, '李磊', '13435665432', '450821199206181231', 'http://127.0.0.1:8099/pro/upload/image/2022/11-17/16686720516451032480368.jpg', NULL, NULL, NULL, 0, NULL, '2022-11-17 16:00:53', '李四', '2022-11-30 17:48:22', '开发人员', 1, '2022-11-17 18:11:59', '开发人员', '1021', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for tb_car_visit_record
-- ----------------------------
DROP TABLE IF EXISTS `tb_car_visit_record`;
CREATE TABLE `tb_car_visit_record`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[no-add]',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场所ID',
  `dept_id` bigint(0) NULL DEFAULT NULL,
  `dept_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `channel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '通道[j=like]',
  `channel_id` bigint(0) NULL DEFAULT NULL COMMENT '通道ID',
  `car_no` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '车牌[j=like]',
  `visit_time` datetime(0) NULL DEFAULT NULL COMMENT '通过时间',
  `direction` tinyint(0) NULL DEFAULT NULL COMMENT '方向(1=入,2=出)[j]',
  `image` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '图片[img]',
  `type` tinyint(1) NULL DEFAULT 1 COMMENT '类型(1=临时,2=内部)[j]',
  `driver_name` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系人[j=like]',
  `driver_contact` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系电话[j=like]',
  `driver_id_card` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系人身份证[j=like]',
  `record_type` tinyint(1) NULL DEFAULT 2 COMMENT '方式[j](1=手动,2=自动)',
  `allow_pass` tinyint(1) NULL DEFAULT 0 COMMENT '是否放行(0=否,1=是)',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '原因',
  `create_time` datetime(0) NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 59 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '车辆出入记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_car_visit_record
-- ----------------------------
INSERT INTO `tb_car_visit_record` VALUES (28, NULL, 26, 11, '东兴边检', '1号通道', 26, '桂A1F649', '2022-10-19 10:36:53', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/l55bzl8hc1abqrbr.jpg', 1, '全昭银', '17687679618', '450821199206181231', 2, 1, NULL, '2022-10-19 10:36:53', '2022-10-19 10:36:53');
INSERT INTO `tb_car_visit_record` VALUES (29, NULL, 26, 9, '临时人员', '1号通道', 26, '桂A1F649', '2022-10-19 10:49:39', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/mlt9v9mju7nhr1tf.jpg', 1, '全昭银', '17687679618', '450821199206181231', 2, 0, NULL, '2022-10-19 10:49:39', '2022-10-19 10:49:39');
INSERT INTO `tb_car_visit_record` VALUES (30, NULL, 26, 9, '临时人员', '1号通道', 26, '桂A1F649', '2022-10-19 10:52:31', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/f8htuvuoi6g1ss3q.jpg', 1, '全昭银', '17687679618', '450821199206181231', 2, 0, NULL, '2022-10-19 10:52:31', '2022-10-19 10:52:31');
INSERT INTO `tb_car_visit_record` VALUES (31, NULL, 26, 9, '临时人员', '1号通道', 26, '桂A1F649', '2022-10-19 10:55:37', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/js5gnu0erfcjetxd.jpg', 1, '全昭银', '17687679618', '450821199206181231', 2, 0, NULL, '2022-10-19 10:55:37', '2022-10-19 10:55:37');
INSERT INTO `tb_car_visit_record` VALUES (32, NULL, 26, 9, '临时人员', '1号通道', 26, '桂A1F649', '2022-10-19 10:57:11', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/70aplrz2wqsusr0x.jpg', 1, '全昭银', '17687679618', '450821199206181231', 2, 0, NULL, '2022-10-19 10:57:11', '2022-10-19 10:57:11');
INSERT INTO `tb_car_visit_record` VALUES (33, NULL, 26, 9, '临时人员', '1号通道', 26, '桂A1F649', '2022-10-19 11:42:42', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/xymsyyb70mt8bphp.jpg', 1, '全昭银', '17687679618', '450821199206181231', 2, 0, NULL, '2022-10-19 11:42:42', '2022-10-19 11:42:42');
INSERT INTO `tb_car_visit_record` VALUES (35, NULL, NULL, 11, '边检', '1号通道', 28, '桂A03945', '2022-11-09 17:46:29', 1, NULL, 1, '1d', NULL, NULL, 1, 1, NULL, '2022-11-09 17:46:31', NULL);
INSERT INTO `tb_car_visit_record` VALUES (38, NULL, 26, NULL, NULL, '1号通道', 26, '桂A1F649', '2022-11-18 11:08:58', 1, 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/ofli2k41r3kw1blp.jpg', 1, NULL, NULL, NULL, 2, 0, NULL, '2022-11-18 11:08:58', '2022-11-18 11:08:58');
INSERT INTO `tb_car_visit_record` VALUES (54, NULL, NULL, NULL, NULL, NULL, NULL, '桂A1F649', '2022-11-30 17:45:27', 1, 'http://127.0.0.1:8099/pro/upload/hk/2022/11-30/20221130174527_ItsPlate.jpg', 2, NULL, NULL, NULL, 1, 0, '车辆未备案，不抬杆', '2022-11-30 17:45:27', '2022-11-30 17:45:27');
INSERT INTO `tb_car_visit_record` VALUES (55, NULL, NULL, NULL, NULL, NULL, NULL, '桂A1F649', '2022-11-30 17:45:27', 1, 'http://127.0.0.1:8099/pro/upload/hk/2022/11-30/20221130174527_ItsPlate.jpg', 2, NULL, NULL, NULL, 1, 0, '车辆未备案，不抬杆', '2022-11-30 17:45:27', '2022-11-30 17:45:27');
INSERT INTO `tb_car_visit_record` VALUES (56, NULL, NULL, NULL, NULL, NULL, NULL, '桂A1F649', '2022-11-30 17:45:27', 1, 'http://127.0.0.1:8099/pro/upload/hk/2022/11-30/20221130174527_ItsPlate.jpg', 2, NULL, NULL, NULL, 1, 0, '车辆未备案，不抬杆', '2022-11-30 17:45:27', '2022-11-30 17:45:27');
INSERT INTO `tb_car_visit_record` VALUES (57, 6, 27, NULL, NULL, NULL, NULL, '桂A1F649', '2022-11-30 17:49:56', 1, 'http://127.0.0.1:8099/pro/upload/hk/2022/11-30/20221130174955_ItsPlate.jpg', 2, '李磊', '13435665432', '450821199206181231', 1, 1, '', '2022-11-30 17:49:56', '2022-11-30 17:49:56');
INSERT INTO `tb_car_visit_record` VALUES (58, 6, 27, NULL, NULL, NULL, NULL, '桂A1F649', '2022-11-30 17:49:56', 1, 'http://127.0.0.1:8099/pro/upload/hk/2022/11-30/20221130174956_ItsPlate.jpg', 2, '李磊', '13435665432', '450821199206181231', 1, 1, '', '2022-11-30 17:49:56', '2022-11-30 17:49:56');
INSERT INTO `tb_car_visit_record` VALUES (59, 6, 27, NULL, NULL, NULL, NULL, '桂A1F649', '2022-11-30 17:49:57', 1, 'http://127.0.0.1:8099/pro/upload/hk/2022/11-30/20221130174957_ItsPlate.jpg', 2, '李磊', '13435665432', '450821199206181231', 1, 1, '', '2022-11-30 17:49:57', '2022-11-30 17:49:57');

-- ----------------------------
-- Table structure for tb_command_log
-- ----------------------------
DROP TABLE IF EXISTS `tb_command_log`;
CREATE TABLE `tb_command_log`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add]',
  `command` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '命令',
  `sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '设备SN',
  `terminal_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '设备名',
  `channel_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '通道',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '下发时间',
  `response_time` datetime(0) NULL DEFAULT NULL COMMENT '回复时间',
  `msg_id` varchar(62) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '消息ID',
  `response_content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '回复内容',
  `response_code` int(0) NULL DEFAULT NULL COMMENT '回复code',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `tb_command_log_msg_id_index`(`msg_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 560 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '人证魔方命令日志' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_department
-- ----------------------------
DROP TABLE IF EXISTS `tb_department`;
CREATE TABLE `tb_department`  (
  `id` bigint(0) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键[num]',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称',
  `status` tinyint(1) NULL DEFAULT 0 COMMENT '状态(0=否,1=是)[j switch=true]',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1554691637370929166 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '部门管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_department
-- ----------------------------
INSERT INTO `tb_department` VALUES (1, '系统管理', 1, '2022-10-14 09:48:30', NULL, NULL, NULL);
INSERT INTO `tb_department` VALUES (2, '市场部', 0, '2022-10-14 14:17:31', NULL, NULL, NULL);
INSERT INTO `tb_department` VALUES (3, '海关', 0, '2022-10-17 10:03:06', NULL, NULL, NULL);
INSERT INTO `tb_department` VALUES (4, '边检', 0, '2022-10-17 10:03:06', NULL, NULL, NULL);
INSERT INTO `tb_department` VALUES (5, '商务局', 0, '2022-10-17 10:03:06', NULL, NULL, NULL);
INSERT INTO `tb_department` VALUES (6, '互市区运营部', 0, '2022-10-17 10:03:06', NULL, NULL, NULL);
INSERT INTO `tb_department` VALUES (7, '物业公司', 0, '2022-10-17 10:03:06', '2022-11-11 11:12:00', '', '开发人员');
INSERT INTO `tb_department` VALUES (1554691637370929166, '打私办', 0, '2022-11-11 11:15:30', NULL, '开发人员', NULL);

-- ----------------------------
-- Table structure for tb_dept
-- ----------------------------
DROP TABLE IF EXISTS `tb_dept`;
CREATE TABLE `tb_dept`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add no-show no-sort no-s]',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '所属场所',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '审核部门',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称[text j=like]',
  `pass_type` tinyint(1) NULL DEFAULT 1 COMMENT '放行条件(1=人车合一,2=人车满足其一)',
  `admin_type` tinyint(1) NULL DEFAULT 0 COMMENT '(0=否,1=是)',
  `need_judge` tinyint(0) NULL DEFAULT 1 COMMENT '是否需要审核(0=否,1=是)[j]',
  `limit_num` bigint(0) NULL DEFAULT 0 COMMENT '备案限制人数（0表示不限制）',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注[textarea]',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '组织管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_dept
-- ----------------------------
INSERT INTO `tb_dept` VALUES (2, 27, 3, '海关', 2, 0, 1, 0, '2022-11-11 11:21:28', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (3, 27, 4, '边检', 1, 0, 1, 0, '2022-11-11 11:21:41', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (4, 27, 5, '商务局', 1, 0, 1, 0, '2022-11-11 11:21:56', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (5, 27, 1554691637370929166, '打私办', 1, 0, 1, 0, '2022-11-11 11:22:09', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (6, 27, 6, '劳务人员', 1, 0, 1, 0, '2022-11-11 11:22:39', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (7, 27, 6, '北投建设公司', 1, 0, 1, 0, '2022-11-11 11:22:57', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (8, 27, 7, '物业公司', 1, 0, 1, 0, '2022-11-11 11:23:09', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (9, 27, 6, '其他公司', 1, 0, 1, 0, '2022-11-11 11:23:25', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (10, 27, 6, '商铺', 1, 0, 1, 0, '2022-11-11 11:23:39', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (11, 27, 7, '边民', 1, 0, 1, 0, '2022-11-11 11:23:52', '开发人员', NULL, NULL, '');
INSERT INTO `tb_dept` VALUES (12, 27, 7, '临时人员', 1, 0, 1, 0, '2022-11-11 11:24:06', '开发人员', NULL, NULL, '');

-- ----------------------------
-- Table structure for tb_gate_command_log
-- ----------------------------
DROP TABLE IF EXISTS `tb_gate_command_log`;
CREATE TABLE `tb_gate_command_log`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add]',
  `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '100',
  `command` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '命令',
  `sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '设备SN',
  `terminal_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '设备名',
  `venues_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '通道',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '下发时间',
  `response_content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '回复内容',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 43 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '车辆道闸命令日志' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_gate_command_log
-- ----------------------------
INSERT INTO `tb_gate_command_log` VALUES (1, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 15:59:52', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (2, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:00:45', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (3, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:01:51', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (4, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:02:02', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (5, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:02:08', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (6, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:02:18', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (7, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:27:52', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (8, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-06 16:28:07', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (9, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-14 09:34:35', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (10, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-14 09:34:39', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (11, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-14 09:34:49', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (12, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道', '2022-09-14 09:47:14', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (13, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道（车）', '2022-09-14 09:55:23', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (14, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道（车）', '2022-09-14 09:56:20', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (15, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道（车）', '2022-09-14 09:57:59', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (16, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道（车）', '2022-09-14 09:58:28', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (17, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道（车）', '2022-09-14 10:00:36', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (18, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '1号通道（车）', '2022-09-14 10:02:41', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (19, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '打点滴', '2022-10-14 17:01:40', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (20, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '车辆道闸', '打点滴', '2022-10-14 17:03:00', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (21, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-17 15:13:39', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (22, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-17 16:20:33', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (23, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-17 16:20:38', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (24, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-17 16:21:09', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (25, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-19 10:02:41', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (26, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-19 10:08:47', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (27, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-19 10:10:42', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (28, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-10-19 10:28:05', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (29, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 10:36:53', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (30, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 10:57:25', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (31, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:42:47', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (32, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:48:11', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (33, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:48:16', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (34, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:48:24', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (35, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:48:28', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (36, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:48:33', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (37, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:48:48', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (38, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-10-19 11:52:00', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (39, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-11-11 09:41:49', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');
INSERT INTO `tb_gate_command_log` VALUES (40, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-11-11 09:42:33', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (41, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '互市区', '2022-11-11 09:46:41', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (42, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-11-11 10:18:09', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '系统');
INSERT INTO `tb_gate_command_log` VALUES (43, NULL, '{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}', '15146404-60a6bd12', '入口通道道闸', '二级市场', '2022-11-11 11:00:30', '{\"cmd\":\"ioctl_resp\",\"error_msg\":\"Sucess\",\"id\":\"999999\",\"state_code\":200}\n', '开发人员');

-- ----------------------------
-- Table structure for tb_gate_terminal
-- ----------------------------
DROP TABLE IF EXISTS `tb_gate_terminal`;
CREATE TABLE `tb_gate_terminal`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add]',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '名称',
  `direction` tinyint(0) NULL DEFAULT 1 COMMENT '方向(1=进,2=出)',
  `sn` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '序列号',
  `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'IP地址',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场地ID',
  `channel_id` bigint(0) NULL DEFAULT NULL COMMENT '通道ID',
  `state` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '状态',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `last_online_time` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `tb_gate_terminal_ip_index`(`ip`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '车辆道闸' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_gate_terminal
-- ----------------------------
INSERT INTO `tb_gate_terminal` VALUES (2, 1554691637370929160, '入口通道道闸', 1, '15146404-60a6bd12', '192.168.1.100', 26, 28, '离线', '开发人员', '2022-10-17 15:12:46', '2022-11-18 11:08:58', '系统', '2023-08-14 16:43:13');

-- ----------------------------
-- Table structure for tb_init_permission
-- ----------------------------
DROP TABLE IF EXISTS `tb_init_permission`;
CREATE TABLE `tb_init_permission`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '权限码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 83 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '初始化权限' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_init_permission
-- ----------------------------
INSERT INTO `tb_init_permission` VALUES (1, 'dev');
INSERT INTO `tb_init_permission` VALUES (2, 'in-system');
INSERT INTO `tb_init_permission` VALUES (3, 'auth');
INSERT INTO `tb_init_permission` VALUES (4, 'admin-list');
INSERT INTO `tb_init_permission` VALUES (5, 'sp-admin-add');
INSERT INTO `tb_init_permission` VALUES (6, 'sp-admin-del');
INSERT INTO `tb_init_permission` VALUES (7, 'sp-admin-edit');
INSERT INTO `tb_init_permission` VALUES (8, 'role-list');
INSERT INTO `tb_init_permission` VALUES (9, 'role-list-add');
INSERT INTO `tb_init_permission` VALUES (10, 'role-list-del');
INSERT INTO `tb_init_permission` VALUES (11, 'role-list-edit');
INSERT INTO `tb_init_permission` VALUES (12, 'sp-role-permission');
INSERT INTO `tb_init_permission` VALUES (13, 'tb-terminal-venues');
INSERT INTO `tb_init_permission` VALUES (14, 'tb-venues-list');
INSERT INTO `tb_init_permission` VALUES (15, 'tb-venues-channel-add');
INSERT INTO `tb_init_permission` VALUES (16, 'tb-venues-edit');
INSERT INTO `tb_init_permission` VALUES (17, 'tb-venues');
INSERT INTO `tb_init_permission` VALUES (18, 'tb-terminal');
INSERT INTO `tb_init_permission` VALUES (19, 'tb-terminal-list');
INSERT INTO `tb_init_permission` VALUES (20, 'tb-terminal-down');
INSERT INTO `tb_init_permission` VALUES (21, 'tb-terminal-open');
INSERT INTO `tb_init_permission` VALUES (22, 'tb-terminal-reboot');
INSERT INTO `tb_init_permission` VALUES (23, 'tb-terminal-sync-time');
INSERT INTO `tb_init_permission` VALUES (24, 'tb-terminal-edit');
INSERT INTO `tb_init_permission` VALUES (25, 'tb-gate-terminal');
INSERT INTO `tb_init_permission` VALUES (26, 'tb-gate-terminal-list');
INSERT INTO `tb_init_permission` VALUES (27, 'tb-gate-terminal-open');
INSERT INTO `tb_init_permission` VALUES (28, 'tb-gate-terminal-edit');
INSERT INTO `tb_init_permission` VALUES (29, 'filing-system');
INSERT INTO `tb_init_permission` VALUES (30, 'tb-filing');
INSERT INTO `tb_init_permission` VALUES (31, 'tb-car-filing-list');
INSERT INTO `tb_init_permission` VALUES (32, 'tb-car-filing-judge');
INSERT INTO `tb_init_permission` VALUES (33, 'tb-car-filing-add');
INSERT INTO `tb_init_permission` VALUES (34, 'tb-car-filing-del');
INSERT INTO `tb_init_permission` VALUES (35, 'tb-car-filing-edit');
INSERT INTO `tb_init_permission` VALUES (36, 'tb-person-filing-list');
INSERT INTO `tb_init_permission` VALUES (37, 'tb-person-filing-judge');
INSERT INTO `tb_init_permission` VALUES (38, 'tb-person-filing-add');
INSERT INTO `tb_init_permission` VALUES (39, 'tb-person-filing-del');
INSERT INTO `tb_init_permission` VALUES (40, 'tb-person-filing-edit');
INSERT INTO `tb_init_permission` VALUES (41, 'tb-person-filing-import');
INSERT INTO `tb_init_permission` VALUES (42, 'tb-black');
INSERT INTO `tb_init_permission` VALUES (43, 'tb-car-black-list');
INSERT INTO `tb_init_permission` VALUES (44, 'tb-car-black-add');
INSERT INTO `tb_init_permission` VALUES (45, 'tb-car-black-del');
INSERT INTO `tb_init_permission` VALUES (46, 'tb-car-black-edit');
INSERT INTO `tb_init_permission` VALUES (47, 'tb-person-black-list');
INSERT INTO `tb_init_permission` VALUES (48, 'tb-person-black-add');
INSERT INTO `tb_init_permission` VALUES (49, 'tb-person-black-del');
INSERT INTO `tb_init_permission` VALUES (50, 'tb-person-black-edit');
INSERT INTO `tb_init_permission` VALUES (51, 'tb-person-visit-record');
INSERT INTO `tb_init_permission` VALUES (52, 'tb-person-visit-record-list');
INSERT INTO `tb_init_permission` VALUES (53, 'tb-person-visit-record-export');
INSERT INTO `tb_init_permission` VALUES (54, 'tb-person-visit-record-edit');
INSERT INTO `tb_init_permission` VALUES (55, 'tb-person-visit-record-del');
INSERT INTO `tb_init_permission` VALUES (56, 'tb-person-visit-temperature-list');
INSERT INTO `tb_init_permission` VALUES (57, 'tb-person-visit-record-add');
INSERT INTO `tb_init_permission` VALUES (58, 'tb-car-visit-record');
INSERT INTO `tb_init_permission` VALUES (59, 'tb-car-visit-record-list');
INSERT INTO `tb_init_permission` VALUES (60, 'tb-car-visit-record-export');
INSERT INTO `tb_init_permission` VALUES (61, 'tb-car-visit-record-add');
INSERT INTO `tb_init_permission` VALUES (62, 'tb-car-visit-record-edit');
INSERT INTO `tb_init_permission` VALUES (63, 'tb-car-visit-record-del');
INSERT INTO `tb_init_permission` VALUES (64, 'ep-monitor-system');
INSERT INTO `tb_init_permission` VALUES (65, 'tb-manager-list');
INSERT INTO `tb_init_permission` VALUES (66, 'tb-manager-add');
INSERT INTO `tb_init_permission` VALUES (67, 'tb-manager-edit');
INSERT INTO `tb_init_permission` VALUES (68, 'tb-manager-del');
INSERT INTO `tb_init_permission` VALUES (69, 'tb-tactics');
INSERT INTO `tb_init_permission` VALUES (70, 'tb-tactics-setting');
INSERT INTO `tb_init_permission` VALUES (71, 'health-code-record-list');
INSERT INTO `tb_init_permission` VALUES (72, 'health-code-record-solve');
INSERT INTO `tb_init_permission` VALUES (73, 'health-code-record-del');
INSERT INTO `tb_init_permission` VALUES (74, 'alarm-monitor-system');
INSERT INTO `tb_init_permission` VALUES (75, 'tb-alarm-person-list');
INSERT INTO `tb_init_permission` VALUES (76, 'tb-alarm-person-add');
INSERT INTO `tb_init_permission` VALUES (77, 'tb-alarm-person-edit');
INSERT INTO `tb_init_permission` VALUES (78, 'tb-alarm-person-del');
INSERT INTO `tb_init_permission` VALUES (79, 'health-monitor-system');
INSERT INTO `tb_init_permission` VALUES (80, 'tb-monitor');
INSERT INTO `tb_init_permission` VALUES (81, 'tb-terminal-monitor');
INSERT INTO `tb_init_permission` VALUES (82, 'tb-customer-list');
INSERT INTO `tb_init_permission` VALUES (83, 'tb-customer-edit');

-- ----------------------------
-- Table structure for tb_manager
-- ----------------------------
DROP TABLE IF EXISTS `tb_manager`;
CREATE TABLE `tb_manager`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add]',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '姓名[j=like]',
  `phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系号码',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID[no-add no-s]',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '部门名称',
  `position` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '职能',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场所ID',
  `venues_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '值班地点',
  `work_start_time` time(0) NULL DEFAULT NULL COMMENT '值班开始时间',
  `work_end_time` time(0) NULL DEFAULT NULL COMMENT '值班结束时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort no-add]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort no-add]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort no-add]',
  `alarm` tinyint(1) NULL DEFAULT 0 COMMENT '是否预警通知人员',
  `openid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'openid',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '防疫人员' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_manager
-- ----------------------------
INSERT INTO `tb_manager` VALUES (11, '老六', '17687679618', 11, '', '', 16, '', '10:57:51', '11:57:53', '', '2022-08-29 10:57:59', '开发人员', '2022-08-29 10:57:59', '开发人员', 0, NULL);

-- ----------------------------
-- Table structure for tb_mini_user
-- ----------------------------
DROP TABLE IF EXISTS `tb_mini_user`;
CREATE TABLE `tb_mini_user`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '企业',
  `sp_admin_id` bigint(0) NULL DEFAULT NULL COMMENT 'sp_admin的关联ID',
  `username` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户名',
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '密码',
  `super_admin` tinyint(1) NULL DEFAULT 0 COMMENT '是否管理部门人员',
  `role_id` bigint(0) NULL DEFAULT NULL COMMENT '所属角色',
  `openid` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'openid',
  `type` tinyint(1) NULL DEFAULT NULL COMMENT '类型(1=临时,2=内部)[j]',
  `phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系号码',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '姓名',
  `id_card` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '身份证',
  `ic_card` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '边民号',
  `id_card_img` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '身份证图片',
  `ic_card_img` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '便民证图片',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '所属组织',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `login_out` tinyint(1) NULL DEFAULT 1,
  `last_login_time` datetime(0) NULL DEFAULT NULL COMMENT '最后登录时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `tb_mini_user_phone_index`(`phone`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'h5端用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_mini_user
-- ----------------------------
INSERT INTO `tb_mini_user` VALUES (9, 1, 10001, 'sa', 'E4EF2A290589A23EFE1565BB698437F5', 1, NULL, 'o517H0QiDQPz0ZJ3p1xXQGptXDnM', 2, 'sa', '开发人员', NULL, NULL, NULL, NULL, NULL, '2022-11-11 16:07:43', 1, '2023-07-14 14:29:42');
INSERT INTO `tb_mini_user` VALUES (12, 3, 509850, '13435668923', 'FC3333A5E9423A604FA6E7F82D0B8D29', 0, NULL, 'o517H0QiDQPz0ZJ3p1xXQGptXDnM', 1, '13435668923', '张三', NULL, NULL, NULL, NULL, 2, '2022-11-11 17:06:36', 1, '2022-11-14 14:47:04');
INSERT INTO `tb_mini_user` VALUES (13, 7, 719063, '17876736456', '30A4F24D33FA47BFD4D4B97C5E2B55C9', 0, NULL, 'o517H0QiDQPz0ZJ3p1xXQGptXDnM', 1, '17876736456', '全昭银', NULL, NULL, NULL, NULL, 11, '2022-11-14 15:08:45', 1, '2022-11-17 15:50:36');
INSERT INTO `tb_mini_user` VALUES (14, 6, 857389, '13435667876', 'D46BBD25A9F3A1713A319E4F44D8F78B', 0, NULL, 'o517H0QiDQPz0ZJ3p1xXQGptXDnM', 1, '13435667876', '李四', NULL, NULL, NULL, NULL, 10, '2022-11-17 15:51:20', 1, '2022-11-17 17:20:04');

-- ----------------------------
-- Table structure for tb_person_black
-- ----------------------------
DROP TABLE IF EXISTS `tb_person_black`;
CREATE TABLE `tb_person_black`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add no-s no-show]',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID[no-add n-show no-s]',
  `photo` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '人脸',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名字[text j=like]',
  `id_card` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '身份证[no-show]',
  `reason` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '禁行原因',
  `start_time` datetime(0) NULL DEFAULT NULL COMMENT '禁行开始',
  `end_time` datetime(0) NULL DEFAULT NULL COMMENT '禁行结束',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `tb_person_black_dept_id`(`dept_id`) USING BTREE,
  INDEX `tb_person_black_id_card_index`(`id_card`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '人员黑名单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_person_black
-- ----------------------------
INSERT INTO `tb_person_black` VALUES (7, 9, NULL, '全昭银', '450821199206181231', NULL, '2023-03-22 00:00:00', '2023-03-31 00:00:00', '2023-03-23 11:29:26', '开发人员', NULL, NULL);

-- ----------------------------
-- Table structure for tb_person_filing
-- ----------------------------
DROP TABLE IF EXISTS `tb_person_filing`;
CREATE TABLE `tb_person_filing`  (
  `id` int(0) NOT NULL AUTO_INCREMENT,
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '组织ID[no-add no-show n-s]',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场所ID',
  `pin` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '工号',
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '姓名[j=like]',
  `photo` varchar(1000) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '相片',
  `openid` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '小程序openid',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系电话',
  `type` tinyint(1) NULL DEFAULT 1 COMMENT '类型(1=临时,2=内部)[j]',
  `id_card` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '身份证[j=like]',
  `visit_reason` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '来访事由',
  `pre_come_time` datetime(0) NULL DEFAULT NULL COMMENT '预计来访时间',
  `pre_leave_time` datetime(0) NULL DEFAULT NULL COMMENT '预计结束时间',
  `visit` tinyint(1) NULL DEFAULT 0 COMMENT '状态[0=未到访,1=到访]',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注[no-show no-s]',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  `judge_state` tinyint(1) NULL DEFAULT 0 COMMENT '是否审核[0=否,1=是]',
  `judge_time` datetime(0) NULL DEFAULT NULL COMMENT '审核时间',
  `judge_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '审核人',
  `ic_card` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '边民证',
  `ic_card_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '边民证图片',
  `ic_card_start_time` date NULL DEFAULT NULL COMMENT '边民证有效期起始时间',
  `ic_card_end_time` date NULL DEFAULT NULL COMMENT '边民证有效期到期时间',
  `id_card_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '身份证图片',
  `card_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '边民证或身份证图片',
  `shop_code` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '商铺号',
  `end_time` datetime(0) NULL DEFAULT NULL COMMENT '结束时间',
  `judge_content` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '审核意见',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `tb_person_filing_pin_index`(`pin`) USING BTREE,
  UNIQUE INDEX `tb_person_filing_openid_index`(`openid`) USING BTREE,
  INDEX `tb_person_filing_id_card_index`(`id_card`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 147 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '人员备案' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_person_filing
-- ----------------------------
INSERT INTO `tb_person_filing` VALUES (147, 6, 7, 27, '450821199206181231', '全昭银', 'http://127.0.0.1:8099/pro/upload/image/2023/05-31/16854961838071985291512.jpg', NULL, NULL, 1, '450821199206181231', NULL, NULL, NULL, 0, NULL, '2023-05-31 09:23:06', '开发人员', '2023-05-31 09:23:11', '开发人员', 1, '2023-05-31 09:23:11', '开发人员', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '');

-- ----------------------------
-- Table structure for tb_person_visit_record
-- ----------------------------
DROP TABLE IF EXISTS `tb_person_visit_record`;
CREATE TABLE `tb_person_visit_record`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键[no-add num]',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '部门Id',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场所ID',
  `direction` tinyint(0) NULL DEFAULT NULL COMMENT '出入(1=入场,2=离场)[j no-add]',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID',
  `dept_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '部门名称',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '姓名',
  `phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '号码',
  `picture` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '图片[img]',
  `id_card` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '身份证',
  `channel` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '通过通道',
  `venues` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '场所',
  `temperature` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '体温',
  `health_status` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '健康码',
  `sn` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '上传设备',
  `terminal_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '识别设备',
  `visit_date` datetime(0) NULL DEFAULT NULL COMMENT '时间',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `type` tinyint(0) NULL DEFAULT 2 COMMENT '类型(1=补录,2=设备上传)',
  `update_time` datetime(0) NULL DEFAULT NULL,
  `allow_pass` tinyint(0) NULL DEFAULT 1 COMMENT '是否允许通过',
  `is_notify` tinyint(1) NULL DEFAULT 0 COMMENT '备注',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `is_solve` tinyint(1) NULL DEFAULT 0 COMMENT '是否处置',
  `way` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '处置方法',
  `solve_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '处置人',
  `solve_time` datetime(0) NULL DEFAULT NULL COMMENT '处置时间',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '不通行原因',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 583 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '人员出入记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_person_visit_record
-- ----------------------------
INSERT INTO `tb_person_visit_record` VALUES (445, NULL, NULL, 1, 10, '互市公司', 's', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-17/jvm16g64jcp9u6p7.jpg', '450821199206181231', '打点滴', NULL, '37.1', NULL, '05132021092800030682693417061020', 'ss', '2022-10-17 09:33:59', '2022-10-17 09:34:33', 2, '2022-10-17 09:34:33', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (446, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/59pbb2jsp39dmeb5.jpg', '450821199206181231', '互市区-1号通道', '互市区', NULL, '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:26:54', '2022-10-18 17:27:25', 2, '2022-10-18 17:27:25', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (447, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/psxgv0bjed9c1jkv.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:26:57', '2022-10-18 17:27:29', 2, '2022-10-18 17:27:29', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (448, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/1shla45j00odp53y.jpg', '450821199206181231', '互市区-1号通道', '互市区', NULL, '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:27:13', '2022-10-18 17:27:44', 2, '2022-10-18 17:27:44', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (449, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/t5by51szccx026yv.jpg', '450821199206181231', '互市区-1号通道', '互市区', NULL, '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:27:42', '2022-10-18 17:28:14', 2, '2022-10-18 17:28:14', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (450, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/65rrzmrxizp4ubjz.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:27:48', '2022-10-18 17:28:19', 2, '2022-10-18 17:28:19', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (451, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/hyw4udj6sjfiib24.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:32:27', '2022-10-18 17:32:58', 2, '2022-10-18 17:32:58', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (452, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-18/ndqviqrlfiev84zr.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:32:32', '2022-10-18 17:33:03', 2, '2022-10-18 17:33:03', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (453, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/xvw260h310ls9ro6.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-18 17:33:43', '2022-10-19 09:40:09', 2, '2022-10-19 09:40:09', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (454, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/86c5rvy7mcrpamej.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 09:12:34', '2022-10-19 09:40:10', 2, '2022-10-19 09:40:10', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (455, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/f6xmb1q623bdrmze.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 09:12:43', '2022-10-19 09:40:10', 2, '2022-10-19 09:40:10', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (456, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/cmx5uky0kye7alsy.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 09:12:54', '2022-10-19 09:40:10', 2, '2022-10-19 09:40:10', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (457, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/z8qbqaelp8kd0otq.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.4', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:10:33', '2022-10-19 10:11:07', 2, '2022-10-19 10:11:07', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (458, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/etqhp1b7g03fz49i.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:11:34', '2022-10-19 10:12:08', 2, '2022-10-19 10:12:08', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (459, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/54srmp1qtydk0e30.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:11:41', '2022-10-19 10:12:15', 2, '2022-10-19 10:12:15', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (460, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/32rtgy3jiez65jm0.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:11:47', '2022-10-19 10:12:20', 2, '2022-10-19 10:12:20', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (461, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/ugirqrsxxuund0v8.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:49:17', '2022-10-19 10:49:50', 2, '2022-10-19 10:49:50', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (462, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/rmalak0e3na37gwn.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:49:22', '2022-10-19 10:49:56', 2, '2022-10-19 10:49:56', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (463, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/27oep0mxc7nivlje.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:49:48', '2022-10-19 10:50:21', 2, '2022-10-19 10:50:21', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (464, 1554691637370929161, 27, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/u62ubwvh0r3yz5ds.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:49:51', '2022-10-19 10:50:25', 2, '2022-10-19 10:50:25', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (465, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/na6gjfehp754ft10.jpg', '450821199206181231', '1号通道', '二级市场', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:50:22', '2022-10-19 10:50:55', 2, '2022-10-19 10:50:55', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (466, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/fpa1bxs7240lr6ge.jpg', '450821199206181231', '1号通道', '二级市场', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:51:51', '2022-10-19 10:52:25', 2, '2022-10-19 10:52:25', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (467, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/ho7etyfihdkif0tj.jpg', '450821199206181231', '1号通道', '二级市场', '37.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:52:05', '2022-10-19 10:52:39', 2, '2022-10-19 10:52:39', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (468, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/hjtg7n1rx2c7to5k.jpg', '450821199206181231', '1号通道', '二级市场', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:52:35', '2022-10-19 10:53:08', 2, '2022-10-19 10:53:08', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (469, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/y1rxh7yvl853ob8q.jpg', '450821199206181231', '1号通道', '二级市场', '37.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:55:10', '2022-10-19 10:56:28', 2, '2022-10-19 10:56:28', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (470, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/bimtth0usgrt7i3y.jpg', '450821199206181231', '1号通道', '二级市场', '37.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 10:56:47', '2022-10-19 10:57:25', 2, '2022-10-19 10:57:25', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (471, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/plbg18awhng5hikk.jpg', '450821199206181231', '1号通道', '二级市场', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:42:14', '2022-10-19 11:42:47', 2, '2022-10-19 11:42:47', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (472, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/2j9egkmss5alrlsr.jpg', '450821199206181231', '1号通道', '二级市场', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:47:37', '2022-10-19 11:48:11', 2, '2022-10-19 11:48:11', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (473, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/kn161im8pe90r2v8.jpg', '450821199206181231', '1号通道', '二级市场', '36.7', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:47:42', '2022-10-19 11:48:16', 2, '2022-10-19 11:48:16', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (474, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/3d61x1p98b6xgvi3.jpg', '450821199206181231', '1号通道', '二级市场', '36.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:47:50', '2022-10-19 11:48:24', 2, '2022-10-19 11:48:24', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (475, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/uocuihy4tgo2002b.jpg', '450821199206181231', '1号通道', '二级市场', '36.7', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:47:54', '2022-10-19 11:48:28', 2, '2022-10-19 11:48:28', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (476, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/61ybujpdfvw2hdza.jpg', '450821199206181231', '1号通道', '二级市场', '36.8', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:47:59', '2022-10-19 11:48:33', 2, '2022-10-19 11:48:33', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (477, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/yfzdmafvg5t6u7cb.jpg', '450821199206181231', '1号通道', '二级市场', '36.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:48:14', '2022-10-19 11:48:48', 2, '2022-10-19 11:48:48', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (478, 1554691637370929160, 26, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-10-19/rkm59z1wlug1arw3.jpg', '450821199206181231', '1号通道', '二级市场', '36.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-19 11:51:26', '2022-10-19 11:52:00', 2, '2022-10-19 11:52:00', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (479, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/85xsd6hkupfdarek.jpg', '450821199206181231', '1号通道', '二级市场', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-10-31 14:19:17', '2022-11-08 09:58:03', 2, '2022-11-08 09:58:03', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (480, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/4ypcxfejg5xwkzl2.jpg', '450821199206181231', '1号通道', '二级市场', '37.4', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-08 09:58:50', '2022-11-08 09:59:03', 2, '2022-11-08 09:59:03', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (481, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/a8dxm47or8joaig1.jpg', '450821199206181231', '1号通道', '二级市场', '36.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-08 10:07:53', '2022-11-08 10:08:05', 2, '2022-11-08 10:08:05', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (482, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/nvc0rxo4wcutl6rh.jpg', '450821199206181231', '1号通道', '二级市场', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-08 10:14:57', '2022-11-08 10:15:08', 2, '2022-11-08 10:15:08', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (483, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/gh6hsua2dh9sjube.jpg', '450821199206181231', '1号通道', '二级市场', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-08 10:19:49', '2022-11-08 10:20:01', 2, '2022-11-08 10:20:01', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (484, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/alogku5pducna5pq.jpg', '450821199206181231', '1号通道', '二级市场', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-08 10:31:07', '2022-11-08 10:31:18', 2, '2022-11-08 10:31:18', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (485, NULL, NULL, 1, 11, '东兴边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-08/ofhhad7x8ec4ax4x.jpg', '450821199206181231', '1号通道', '二级市场', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-08 10:33:34', '2022-11-08 10:33:46', 2, '2022-11-08 10:33:46', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (486, NULL, 26, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/ucthq1srdh9cq5eo.jpg', '450821199206181231', '1号通道', '二级市场', '36.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 11:14:58', '2022-11-09 11:20:50', 2, '2022-11-09 11:20:50', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (487, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/32au8x4t4hstrc6f.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 11:28:45', '2022-11-09 11:28:56', 2, '2022-11-09 11:28:56', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (488, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/6q8hnvqhuxihmatr.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 11:34:01', '2022-11-09 11:34:12', 2, '2022-11-09 11:34:12', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (489, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/bncnaoszb3taavx9.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 11:39:08', '2022-11-09 11:39:19', 2, '2022-11-09 11:39:19', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (490, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/j3xtdbwzeoxzns46.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.8', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 11:39:54', '2022-11-09 11:40:05', 2, '2022-11-09 11:40:05', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (491, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/mer3fapmw7hwk2d9.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 11:40:50', '2022-11-09 11:41:01', 2, '2022-11-09 11:41:01', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (492, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/j9y52wgxdlwldaii.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 14:36:48', '2022-11-09 14:42:39', 2, '2022-11-09 14:42:39', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (493, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/mk2sh978thvomeqx.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 14:43:39', '2022-11-09 14:43:50', 2, '2022-11-09 14:43:50', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (494, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/w00k0b5lb54qf7eo.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 14:47:40', '2022-11-09 14:47:51', 2, '2022-11-09 14:47:51', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (495, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/072a6vnfbcf8eu4c.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.8', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 14:48:50', '2022-11-09 14:49:01', 2, '2022-11-09 14:49:01', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (496, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/ocw6vfq16qslynd9.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 14:52:48', '2022-11-09 14:52:59', 2, '2022-11-09 14:52:59', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (497, NULL, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/iw00eryqxkxmm01a.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 16:24:49', '2022-11-09 16:25:01', 2, '2022-11-09 16:25:01', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (498, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/syxeqrfkww6lgqad.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 16:27:36', '2022-11-09 16:27:48', 2, '2022-11-09 16:27:48', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (504, 4, 26, 1, 11, '边检', '全昭银', '', NULL, '', '1号通道', '二级市场', '36.5', '绿码', NULL, NULL, '2022-11-09 16:57:10', NULL, 1, NULL, 1, 0, NULL, 0, '无需处置', NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (505, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/co17g8rpf0zdri7a.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:12:28', '2022-11-09 17:12:40', 2, '2022-11-09 17:12:40', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (506, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/1vqa5c19yq8hfm62.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:25:53', '2022-11-09 17:26:04', 2, '2022-11-09 17:26:04', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (507, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/yxfw45c8rd7fyx5f.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:27:15', '2022-11-09 17:27:27', 2, '2022-11-09 17:27:27', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (508, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/b1qvplf76mw2l2wg.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.4', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:28:28', '2022-11-09 17:28:40', 2, '2022-11-09 17:28:40', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (509, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/o2jdcbf689qexjo1.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.4', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:29:08', '2022-11-09 17:29:19', 2, '2022-11-09 17:29:19', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (510, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/dy8y3vz1zbzypa6k.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:39:12', '2022-11-09 17:39:25', 2, '2022-11-09 17:39:25', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (511, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-09/m304oh4fgbkisdkd.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-09 17:52:42', '2022-11-09 17:52:53', 2, '2022-11-09 17:52:53', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (512, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/j478ndzo5p8uaxy4.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 09:34:00', '2022-11-10 09:38:38', 2, '2022-11-10 09:38:38', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (513, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/3g0jfi0jgh69otxs.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 09:41:47', '2022-11-10 09:41:54', 2, '2022-11-10 09:41:54', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (514, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/7twhssry9dcxy04e.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 09:54:22', '2022-11-10 09:54:32', 2, '2022-11-10 09:54:32', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (515, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/rzsfu7a1hd2a8i6s.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 15:03:16', '2022-11-10 15:03:23', 2, '2022-11-10 15:03:23', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (516, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/5s8o21m7ol36645l.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.7', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 15:17:09', '2022-11-10 15:17:15', 2, '2022-11-10 15:17:15', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (517, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/53rrxyj2c8xwmyga.jpg', '450821199206181231', '互市区-1号通道', '互市区', '34.8', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 15:43:22', '2022-11-10 15:43:28', 2, '2022-11-10 15:43:28', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (518, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/134svmha2w7fgn94.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 15:57:31', '2022-11-10 15:57:36', 2, '2022-11-10 15:57:36', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (519, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-10/5sw1l1sjy8ksy1qi.jpg', '450821199206181231', '互市区-1号通道', '互市区', '34.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-10 16:17:21', '2022-11-10 16:56:37', 2, '2022-11-10 16:56:37', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (520, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-11/wlaetsnoq9rpmqkk.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.8', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-11 09:28:15', '2022-11-11 09:36:27', 2, '2022-11-11 09:36:27', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (521, 4, 27, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-11/fxoln3c069jaqlld.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-11 09:42:28', '2022-11-11 09:42:33', 2, '2022-11-11 09:42:33', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (522, 4, 26, 1, 11, '边检', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-11/y79sw422rpq9u13p.jpg', '450821199206181231', '1号通道', '二级市场', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-11 10:18:04', '2022-11-11 10:18:09', 2, '2022-11-11 10:18:09', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (523, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/fhj0xc6bsiln7pfo.jpg', '450821199206181231', '1号通道', '二级市场', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:01:29', '2022-11-14 15:01:38', 2, '2022-11-14 15:01:38', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (524, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/p898a3qbaex14opb.jpg', '450821199206181231', '1号通道', '二级市场', '37.0', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:02:32', '2022-11-14 15:02:37', 2, '2022-11-14 15:02:37', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (525, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/2e1lv2kkqsy8j2i3.jpg', '450821199206181231', '1号通道', '二级市场', '37.1', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:03:27', '2022-11-14 15:03:32', 2, '2022-11-14 15:03:32', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (526, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/f2rgs49bow1xi9ac.jpg', '450821199206181231', '1号通道', '二级市场', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:05:51', '2022-11-14 15:06:00', 2, '2022-11-14 15:06:00', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (527, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/i41lfyr1br8tarlq.jpg', '450821199206181231', '1号通道', '二级市场', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:06:23', '2022-11-14 15:06:28', 2, '2022-11-14 15:06:28', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (528, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/iauyadb0kworxyna.jpg', '450821199206181231', '1号通道', '二级市场', '37.2', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:07:07', '2022-11-14 15:07:13', 2, '2022-11-14 15:07:13', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (529, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/xv2jrovqabwmeynb.jpg', '450821199206181231', '1号通道', '二级市场', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:10:16', '2022-11-14 15:10:22', 2, '2022-11-14 15:10:22', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (530, 3, 26, 1, 2, '海关', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-14/bt4h4joy49a29qmt.jpg', '450821199206181231', '1号通道', '二级市场', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-14 15:16:22', '2022-11-14 15:16:31', 2, '2022-11-14 15:16:31', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (531, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/6ghfsf4rcvz4gmj3.jpg', '450821199206181231', '1号通道', '二级市场', '37.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 10:47:34', '2022-11-18 10:47:43', 2, '2022-11-18 10:47:43', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (532, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/r468c77urtdg9m6d.jpg', '450821199206181231', '1号通道', '二级市场', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 10:51:55', '2022-11-18 10:52:05', 2, '2022-11-18 10:52:05', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (533, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/tm90t80ynvf4a7i6.jpg', '450821199206181231', '1号通道', '二级市场', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 10:56:11', '2022-11-18 10:56:20', 2, '2022-11-18 10:56:20', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (534, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/7qd4hwpylt303x3l.jpg', '450821199206181231', '1号通道', '二级市场', '36.7', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 10:57:48', '2022-11-18 10:57:57', 2, '2022-11-18 10:57:57', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (535, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/umivalvzkqynci69.jpg', '450821199206181231', '1号通道', '二级市场', '36.8', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 10:58:50', '2022-11-18 10:58:58', 2, '2022-11-18 10:58:58', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (536, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/aaxvdj0exk3cb4tz.jpg', '450821199206181231', '1号通道', '二级市场', '36.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 10:59:49', '2022-11-18 10:59:58', 2, '2022-11-18 10:59:58', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (537, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/tyfybj7bh479s1c9.jpg', '450821199206181231', '1号通道', '二级市场', '36.6', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 11:00:25', '2022-11-18 11:00:34', 2, '2022-11-18 11:00:34', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (538, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/szxereo3721dneul.jpg', '450821199206181231', '1号通道', '二级市场', '36.5', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 11:45:10', '2022-11-18 14:53:32', 2, '2022-11-18 14:53:32', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (539, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-11-18/ibtafc981jjb8udr.jpg', '450821199206181231', '1号通道', '二级市场', '35.9', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-18 17:44:20', '2022-11-18 17:44:32', 2, '2022-11-18 17:44:32', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (540, 6, 26, 1, 7, '北投建设公司', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2022-12-02/f0q8lj0f4l2hrp5h.jpg', '450821199206181231', '1号通道', '二级市场', '37.3', '绿码', '05132021092800030682693417061020', '人脸设备', '2022-11-21 16:00:51', '2022-12-02 14:32:45', 2, '2022-12-02 14:32:45', 0, 0, NULL, 0, NULL, NULL, NULL, '行程或核酸未知');
INSERT INTO `tb_person_visit_record` VALUES (542, NULL, NULL, 1, 12, '临时人员', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2023-03-03/j96zmhl0s7a9kcuw.jpg', '450821199206181231', '互市区-1号通道', '互市区', '34.7', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-03 20:31:08', '2023-03-03 20:31:20', 2, '2023-03-03 20:31:20', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (543, NULL, NULL, 1, 12, '临时人员', '全昭银', '17687679618', 'http://127.0.0.1:8099/pro/upload/image/2023-03-03/xdzd00i8nivezswx.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.8', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-03 20:33:37', '2023-03-03 20:33:48', 2, '2023-03-03 20:33:48', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (544, NULL, NULL, 1, 8, '物业公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-03/vp6hkpoojpegsczf.jpg', '450821199206181231', '互市区-1号通道', '互市区', '34.7', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-03 20:37:53', '2023-03-03 20:40:34', 2, '2023-03-03 20:40:34', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (545, NULL, NULL, 1, 8, '物业公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-03/6osckbfphgelx51q.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.6', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-03 20:40:48', '2023-03-03 20:40:59', 2, '2023-03-03 20:40:59', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (546, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-03/06wzkx8zz1g8np80.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-03 20:44:11', '2023-03-03 20:44:23', 2, '2023-03-03 20:44:23', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (547, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/va1k5is2drxd6n5z.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:39:30', '2023-03-15 15:42:02', 2, '2023-03-15 15:42:02', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (548, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/o2ayp1pglvodadju.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.0', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:41:57', '2023-03-15 15:42:45', 2, '2023-03-15 15:42:45', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (549, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/c6d6vckcz2wp0fx2.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:42:26', '2023-03-15 15:43:33', 2, '2023-03-15 15:43:33', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (550, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/ngddumf5gxpy258y.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:45:56', '2023-03-15 15:46:58', 2, '2023-03-15 15:46:58', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (551, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, NULL, '450821199206181231', '互市区-1号通道', '互市区', '37.4', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:47:29', '2023-03-15 15:52:08', 2, '2023-03-15 15:52:08', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (552, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/pltob80s5ueexj0m.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.1', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:47:38', '2023-03-15 15:52:43', 2, '2023-03-15 15:52:43', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (553, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/j9wr3ijudrqb65jf.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.2', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:47:55', '2023-03-15 15:53:31', 2, '2023-03-15 15:53:31', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (554, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/8vxye4cj2azhzxwt.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.4', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:52:14', '2023-03-15 15:54:41', 2, '2023-03-15 15:54:41', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (555, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/8czwmo6bew5s6qes.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.4', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:52:25', '2023-03-15 15:54:51', 2, '2023-03-15 15:54:51', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (556, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/6xp12s1w2ia1e8h2.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.9', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:53:38', '2023-03-15 15:55:26', 2, '2023-03-15 15:55:26', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (557, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/fgai1z13fcuy9env.jpg', '450821199206181231', '互市区-1号通道', '互市区', '34.6', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:54:41', '2023-03-15 15:56:56', 2, '2023-03-15 15:56:56', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (558, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/x2i4ttezy17ki4y2.jpg', '450821199206181231', '互市区-1号通道', '互市区', '34.8', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 15:57:16', '2023-03-15 15:58:23', 2, '2023-03-15 15:58:23', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (559, NULL, NULL, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/ca6lq7dqdjlaqbm7.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 16:03:38', '2023-03-15 16:03:41', 2, '2023-03-15 16:03:41', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (560, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/g5r2b341doi2ttn9.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 16:09:11', '2023-03-15 16:09:17', 2, '2023-03-15 16:09:17', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (561, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/wahxpwz4rtrptni1.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.9', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 16:09:57', '2023-03-15 16:10:16', 2, '2023-03-15 16:10:16', 0, 0, NULL, 0, NULL, NULL, NULL, '体温异常');
INSERT INTO `tb_person_visit_record` VALUES (562, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-15/qbtcs24w2divha6p.jpg', '450821199206181231', '互市区-1号通道', '互市区', '35.8', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 16:14:59', '2023-03-15 16:15:03', 2, '2023-03-15 16:15:03', 0, 0, NULL, 0, NULL, NULL, NULL, '体温异常');
INSERT INTO `tb_person_visit_record` VALUES (563, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/120mfawbu6un2995.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.4', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-15 16:27:37', '2023-03-21 11:36:48', 2, '2023-03-21 11:36:48', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (564, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/7ovvomhm13nfscvp.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.7', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:38:22', '2023-03-21 11:38:43', 2, '2023-03-21 11:38:43', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (565, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/x0qre28j5586nmh1.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.6', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:39:13', '2023-03-21 11:40:02', 2, '2023-03-21 11:40:02', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (566, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/sxe9eu6exihr4i7m.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.6', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:42:37', '2023-03-21 11:42:41', 2, '2023-03-21 11:42:41', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (567, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/g6ojalip8xofc1n5.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.1', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:44:20', '2023-03-21 11:44:37', 2, '2023-03-21 11:44:37', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (568, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/a85g2aqo7b40o4jd.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:46:36', '2023-03-21 11:46:41', 2, '2023-03-21 11:46:41', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (569, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/c0oqm6riytl6zaza.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.1', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:51:04', '2023-03-21 11:51:09', 2, '2023-03-21 11:51:09', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (570, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/uj2a94lm46ccdaai.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.5', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:51:33', '2023-03-21 11:51:51', 2, '2023-03-21 11:51:51', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (571, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/p10qt6wsw5ggxkuy.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.7', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:54:49', '2023-03-21 11:55:08', 2, '2023-03-21 11:55:08', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (572, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/avxyyj3msnwwvl9g.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.2', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:56:44', '2023-03-21 11:57:01', 2, '2023-03-21 11:57:01', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (573, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-21/olhsinmszf37aujq.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-21 11:57:18', '2023-03-21 11:58:28', 2, '2023-03-21 11:58:28', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (574, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-23/l33igdcdsh1g8z0l.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.4', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-23 09:29:44', '2023-03-23 09:49:53', 2, '2023-03-23 09:49:53', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (575, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-23/ec2m86patrxghlpn.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.5', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-23 09:55:50', '2023-03-23 09:55:56', 2, '2023-03-23 09:55:56', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (576, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-03-23/m610gkk03cqn55br.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.0', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-23 11:36:11', '2023-03-23 11:36:18', 2, '2023-03-23 11:36:18', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (577, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-04-06/08vd3k81r9ki1vp1.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.9', NULL, '05132021092800030682693417061020', '人脸设备', '2023-03-23 11:50:16', '2023-04-06 17:15:39', 2, '2023-04-06 17:15:39', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (578, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-04-06/1u9zskxjfrvy22hz.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-04-06 17:16:33', '2023-04-06 17:16:46', 2, '2023-04-06 17:16:46', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (579, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-04-06/z84p6bscl6ibw2j2.jpg', '450821199206181231', '互市区-1号通道', '互市区', '36.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-04-06 17:19:02', '2023-04-06 17:19:13', 2, '2023-04-06 17:19:13', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (580, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-05-31/485zztfpfuhals2d.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.2', NULL, '05132021092800030682693417061020', '人脸设备', '2023-05-31 09:20:11', '2023-05-31 09:20:11', 2, '2023-05-31 09:20:11', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (581, 6, 27, 1, 9, '其他公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-05-31/hsyapupu5rksuxzy.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.4', NULL, '05132021092800030682693417061020', '人脸设备', '2023-05-31 09:21:26', '2023-05-31 09:21:26', 2, '2023-05-31 09:21:26', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (582, 6, 27, 1, 7, '北投建设公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-05-31/6g2nuc4quf4cf6y8.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-05-31 09:23:30', '2023-05-31 09:23:30', 2, '2023-05-31 09:23:30', 0, 0, NULL, 0, NULL, NULL, NULL, NULL);
INSERT INTO `tb_person_visit_record` VALUES (583, 6, 27, 1, 7, '北投建设公司', '全昭银', NULL, 'http://127.0.0.1:8099/pro/upload/image/2023-05-31/hqqost4e9htcnrcr.jpg', '450821199206181231', '互市区-1号通道', '互市区', '37.3', NULL, '05132021092800030682693417061020', '人脸设备', '2023-05-31 09:24:48', '2023-05-31 09:24:48', 2, '2023-05-31 09:24:48', 1, 0, NULL, 0, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for tb_terminal
-- ----------------------------
DROP TABLE IF EXISTS `tb_terminal`;
CREATE TABLE `tb_terminal`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '[no-add no-show no-s]',
  `department_id` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称[j=like]',
  `ip_address` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT 'IP地址',
  `state` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '状态(离线,正常 no-add no-s)[j]',
  `sn` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '序列号',
  `direction` tinyint(0) NULL DEFAULT 1 COMMENT '1入，2出',
  `person_num` bigint(0) NULL DEFAULT NULL COMMENT '人脸数量',
  `venues_id` bigint(0) NULL DEFAULT NULL COMMENT '场所ID',
  `venues_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '场所名称[no-add]',
  `channel_id` bigint(0) NULL DEFAULT NULL COMMENT '通道ID[num no-show]',
  `channel_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '通道名称',
  `last_on_line` datetime(0) NULL DEFAULT NULL COMMENT '最近一次上线',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `tb_terminal_sn_index`(`sn`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '设备管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_terminal
-- ----------------------------
INSERT INTO `tb_terminal` VALUES (7, '1554691637370929160', '人脸设备', '192.168.3.89', '离线', '05132021092800030682693417061020', 1, 1, 27, '互市区', 29, '互市区-1号通道', '2023-05-31 11:47:21', NULL, '2022-08-02 17:51:37', NULL, '2023-03-03 20:26:27', '开发人员');

-- ----------------------------
-- Table structure for tb_venues
-- ----------------------------
DROP TABLE IF EXISTS `tb_venues`;
CREATE TABLE `tb_venues`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '[no-add no-show no-s]',
  `department_id` bigint(0) NULL DEFAULT NULL COMMENT '企业',
  `p_id` bigint(0) NULL DEFAULT NULL COMMENT '父ID',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称[j=like]',
  `type` tinyint(1) NULL DEFAULT 3 COMMENT '类型(1=人行，2车行)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-s]',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建人[no-show no-s no-sort]',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间[no-show no-s no-sort]',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新人[no-show no-s no sort]',
  `status` tinyint(0) NULL DEFAULT 1 COMMENT '状态(0=关闭,1=开启)[j]',
  `level` int(0) NULL DEFAULT 1 COMMENT '等级，等级高的可以通行等级低的',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '场所管理 [tree idkey=id, fkey=p_id, ckey=children]' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_venues
-- ----------------------------
INSERT INTO `tb_venues` VALUES (26, 1554691637370929160, -1, '二级市场', 3, '2022-10-17 10:02:43', '开发人员', '2022-10-19 10:02:05', '开发人员', 1, 2);
INSERT INTO `tb_venues` VALUES (27, 1554691637370929161, -1, '互市区', 3, '2022-10-17 10:03:39', '开发人员', '2022-10-19 10:02:13', '开发人员', 1, 1);
INSERT INTO `tb_venues` VALUES (28, 1554691637370929160, 26, '1号通道', 2, '2022-10-17 11:48:48', '开发人员', '2022-10-19 10:57:07', '开发人员', 1, 1);
INSERT INTO `tb_venues` VALUES (29, 1554691637370929161, 27, '互市区-1号通道', 2, '2022-10-17 14:14:49', '开发人员', '2022-10-19 10:52:08', '开发人员', 1, 1);

SET FOREIGN_KEY_CHECKS = 1;
